/*
 * Copyright 2012 Google Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.google.gwt.i18n.client.impl.cldr;

// DO NOT EDIT - GENERATED FROM CLDR AND ICU DATA
//  cldrVersion=21.0
//  number=$Revision: 6546 $
//  type=root
//  date=$Date: 2012-02-07 13:32:35 -0500 (Tue, 07 Feb 2012) $

/**
 * Implementation of DateTimeFormatInfo for the "agq" locale.
 */
public class DateTimeFormatInfoImpl_agq extends DateTimeFormatInfoImpl {

  @Override
  public String[] ampms() {
    return new String[] {
        "a.g",
        "a.k"
    };
  }

  @Override
  public String dateFormatFull() {
    return "EEEE d MMMM y";
  }

  @Override
  public String dateFormatLong() {
    return "d MMMM y";
  }

  @Override
  public String dateFormatMedium() {
    return "d MMM, y";
  }

  @Override
  public String dateFormatShort() {
    return "d/M/yyyy";
  }

  @Override
  public String[] erasFull() {
    return new String[] {
        "Sěe Kɨ̀lesto",
        "Bǎa Kɨ̀lesto"
    };
  }

  @Override
  public String[] erasShort() {
    return new String[] {
        "SK",
        "BK"
    };
  }

  @Override
  public String formatMinuteSecond() {
    return "m:ss";
  }

  @Override
  public String formatMonthAbbrevDay() {
    return "d MMM";
  }

  @Override
  public String formatMonthFullDay() {
    return "d MMMM";
  }

  @Override
  public String formatMonthFullWeekdayDay() {
    return "EEEE d MMMM";
  }

  @Override
  public String formatMonthNumDay() {
    return "d/M";
  }

  @Override
  public String formatYearMonthAbbrev() {
    return "MMM y";
  }

  @Override
  public String formatYearMonthAbbrevDay() {
    return "d MMM y";
  }

  @Override
  public String formatYearMonthFull() {
    return "MMMM y";
  }

  @Override
  public String formatYearMonthFullDay() {
    return "d MMMM y";
  }

  @Override
  public String formatYearMonthNum() {
    return "M/y";
  }

  @Override
  public String formatYearMonthNumDay() {
    return "d/M/y";
  }

  @Override
  public String formatYearMonthWeekdayDay() {
    return "EEE d MMM y";
  }

  @Override
  public String formatYearQuarterFull() {
    return "QQQQ y";
  }

  @Override
  public String formatYearQuarterShort() {
    return "Q y";
  }

  @Override
  public String[] monthsFull() {
    return new String[] {
        "ndzɔ̀ŋɔ̀nùm",
        "ndzɔ̀ŋɔ̀kƗ̀zùʔ",
        "ndzɔ̀ŋɔ̀tƗ̀dʉ̀ghà",
        "ndzɔ̀ŋɔ̀tǎafʉ̄ghā",
        "ndzɔ̀ŋèsèe",
        "ndzɔ̀ŋɔ̀nzùghò",
        "ndzɔ̀ŋɔ̀dùmlo",
        "ndzɔ̀ŋɔ̀kwîfɔ̀e",
        "ndzɔ̀ŋɔ̀tƗ̀fʉ̀ghàdzughù",
        "ndzɔ̀ŋɔ̀ghǔuwelɔ̀m",
        "ndzɔ̀ŋɔ̀chwaʔàkaa wo",
        "ndzɔ̀ŋèfwòo"
    };
  }

  @Override
  public String[] monthsNarrow() {
    return new String[] {
        "n",
        "k",
        "t",
        "t",
        "s",
        "z",
        "k",
        "f",
        "d",
        "l",
        "c",
        "f"
    };
  }

  @Override
  public String[] monthsShort() {
    return new String[] {
        "nùm",
        "kɨz",
        "tɨd",
        "taa",
        "see",
        "nzu",
        "dum",
        "fɔe",
        "dzu",
        "lɔm",
        "kaa",
        "fwo"
    };
  }

  @Override
  public String[] quartersFull() {
    return new String[] {
        "kɨbâ kɨ 1",
        "ugbâ u 2",
        "ugbâ u 3",
        "ugbâ u 4"
    };
  }

  @Override
  public String[] quartersShort() {
    return new String[] {
        "kɨbâ kɨ 1",
        "ugbâ u 2",
        "ugbâ u 3",
        "ugbâ u 4"
    };
  }

  @Override
  public String[] weekdaysFull() {
    return new String[] {
        "tsuʔntsɨ",
        "tsuʔukpà",
        "tsuʔughɔe",
        "tsuʔutɔ̀mlò",
        "tsuʔumè",
        "tsuʔughɨ̂m",
        "tsuʔndzɨkɔʔɔ"
    };
  }

  @Override
  public String[] weekdaysNarrow() {
    return new String[] {
        "n",
        "k",
        "g",
        "t",
        "u",
        "g",
        "d"
    };
  }

  @Override
  public String[] weekdaysShort() {
    return new String[] {
        "nts",
        "kpa",
        "ghɔ",
        "tɔm",
        "ume",
        "ghɨ",
        "dzk"
    };
  }
}
