/*
 * Copyright 2012 Google Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.google.gwt.i18n.client.impl.cldr;

// DO NOT EDIT - GENERATED FROM CLDR AND ICU DATA
//  cldrVersion=21.0
//  number=$Revision: 6546 Google $
//  type=root
//  date=$Date: 2012-02-07 13:32:35 -0500 (Tue, 07 Feb 2012) $

/**
 * Implementation of DateTimeFormatInfo for the "as" locale.
 */
public class DateTimeFormatInfoImpl_as extends DateTimeFormatInfoImpl {

  @Override
  public String[] ampms() {
    return new String[] {
        "পূৰ্বাহ্ণ",
        "অপৰাহ্ণ"
    };
  }

  @Override
  public String dateFormatFull() {
    return "EEEE, d MMMM, y";
  }

  @Override
  public String dateFormatLong() {
    return "d MMMM, y";
  }

  @Override
  public String dateFormatMedium() {
    return "dd-MM-yyyy";
  }

  @Override
  public String dateFormatShort() {
    return "d-M-yyyy";
  }

  @Override
  public String[] erasFull() {
    return new String[] {
        "BCE",
        "CE"
    };
  }

  @Override
  public String[] erasShort() {
    return new String[] {
        "BCE",
        "CE"
    };
  }

  @Override
  public int firstDayOfTheWeek() {
    return 0;
  }

  @Override
  public String[] monthsFull() {
    return new String[] {
        "জানুৱাৰী",
        "ফেব্ৰুৱাৰী",
        "মাৰ্চ",
        "এপ্ৰিল",
        "মে",
        "জুন",
        "জুলাই",
        "আগষ্ট",
        "ছেপ্তেম্বৰ",
        "অক্টোবৰ",
        "নৱেম্বৰ",
        "ডিচেম্বৰ"
    };
  }

  @Override
  public String[] monthsNarrow() {
    return new String[] {
        "1",
        "2",
        "3",
        "4",
        "5",
        "6",
        "7",
        "8",
        "9",
        "10",
        "11",
        "12"
    };
  }

  @Override
  public String[] monthsShort() {
    return new String[] {
        "জানু",
        "ফেব্ৰু",
        "মাৰ্চ",
        "এপ্ৰিল",
        "মে",
        "জুন",
        "জুলাই",
        "আগ",
        "সেপ্ট",
        "অক্টো",
        "নভে",
        "ডিসে"
    };
  }

  @Override
  public String[] quartersFull() {
    return new String[] {
        "প্ৰথম প্ৰহৰ",
        "দ্বিতীয় প্ৰহৰ",
        "তৃতীয় প্ৰহৰ",
        "চতুৰ্থ প্ৰহৰ"
    };
  }

  @Override
  public String[] quartersShort() {
    return new String[] {
        "প্ৰথম প্ৰহৰ",
        "দ্বিতীয় প্ৰহৰ",
        "তৃতীয় প্ৰহৰ",
        "চতুৰ্থ প্ৰহৰ"
    };
  }

  @Override
  public String timeFormatFull() {
    return "h.mm.ss a zzzz";
  }

  @Override
  public String timeFormatLong() {
    return "h.mm.ss a z";
  }

  @Override
  public String timeFormatMedium() {
    return "h.mm.ss a";
  }

  @Override
  public String timeFormatShort() {
    return "h.mm. a";
  }

  @Override
  public String[] weekdaysFull() {
    return new String[] {
        "দেওবাৰ",
        "সোমবাৰ",
        "মঙ্গলবাৰ",
        "বুধবাৰ",
        "বৃহষ্পতিবাৰ",
        "শুক্ৰবাৰ",
        "শনিবাৰ"
    };
  }

  @Override
  public String[] weekdaysNarrow() {
    return new String[] {
        "1",
        "2",
        "3",
        "4",
        "5",
        "6",
        "7"
    };
  }

  @Override
  public String[] weekdaysShort() {
    return new String[] {
        "ৰবি",
        "সোম",
        "মঙ্গল",
        "বুধ",
        "বৃহষ্পতি",
        "শুক্ৰ",
        "শনি"
    };
  }

  @Override
  public int weekendStart() {
    return 0;
  }
}
