/*
 * Copyright 2012 Google Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.google.gwt.i18n.client.impl.cldr;

// DO NOT EDIT - GENERATED FROM CLDR AND ICU DATA
//  cldrVersion=21.0
//  number=$Revision: 6546 $
//  type=root
//  date=$Date: 2012-02-07 13:32:35 -0500 (Tue, 07 Feb 2012) $

/**
 * Implementation of DateTimeFormatInfo for the "bez" locale.
 */
public class DateTimeFormatInfoImpl_bez extends DateTimeFormatInfoImpl {

  @Override
  public String[] ampms() {
    return new String[] {
        "pamilau",
        "pamunyi"
    };
  }

  @Override
  public String dateFormatFull() {
    return "EEEE, d MMMM y";
  }

  @Override
  public String dateFormatLong() {
    return "d MMMM y";
  }

  @Override
  public String dateFormatMedium() {
    return "d MMM y";
  }

  @Override
  public String dateFormatShort() {
    return "dd/MM/yyyy";
  }

  @Override
  public String[] erasFull() {
    return new String[] {
        "Kabla ya Mtwaa",
        "Baada ya Mtwaa"
    };
  }

  @Override
  public String[] erasShort() {
    return new String[] {
        "KM",
        "BM"
    };
  }

  @Override
  public String formatMonthFullWeekdayDay() {
    return "EEEE, MMMM d";
  }

  @Override
  public String formatMonthNumDay() {
    return "M/d";
  }

  @Override
  public String formatYearMonthAbbrev() {
    return "MMM y";
  }

  @Override
  public String formatYearMonthAbbrevDay() {
    return "d MMM y";
  }

  @Override
  public String formatYearMonthFull() {
    return "MMMM y";
  }

  @Override
  public String formatYearMonthFullDay() {
    return "d MMMM y";
  }

  @Override
  public String formatYearMonthNum() {
    return "M/y";
  }

  @Override
  public String formatYearMonthNumDay() {
    return "d/M/y";
  }

  @Override
  public String formatYearMonthWeekdayDay() {
    return "EEE, MMM d, y";
  }

  @Override
  public String formatYearQuarterFull() {
    return "QQQQ y";
  }

  @Override
  public String formatYearQuarterShort() {
    return "Q y";
  }

  @Override
  public String[] monthsFull() {
    return new String[] {
        "pa mwedzi gwa hutala",
        "pa mwedzi gwa wuvili",
        "pa mwedzi gwa wudatu",
        "pa mwedzi gwa wutai",
        "pa mwedzi gwa wuhanu",
        "pa mwedzi gwa sita",
        "pa mwedzi gwa saba",
        "pa mwedzi gwa nane",
        "pa mwedzi gwa tisa",
        "pa mwedzi gwa kumi",
        "pa mwedzi gwa kumi na moja",
        "pa mwedzi gwa kumi na mbili"
    };
  }

  @Override
  public String[] monthsNarrow() {
    return new String[] {
        "H",
        "V",
        "D",
        "T",
        "H",
        "S",
        "S",
        "N",
        "T",
        "K",
        "K",
        "K"
    };
  }

  @Override
  public String[] monthsShort() {
    return new String[] {
        "Hut",
        "Vil",
        "Dat",
        "Tai",
        "Han",
        "Sit",
        "Sab",
        "Nan",
        "Tis",
        "Kum",
        "Kmj",
        "Kmb"
    };
  }

  @Override
  public String[] quartersFull() {
    return new String[] {
        "Lobo 1",
        "Lobo 2",
        "Lobo 3",
        "Lobo 4"
    };
  }

  @Override
  public String[] quartersShort() {
    return new String[] {
        "L1",
        "L2",
        "L3",
        "L4"
    };
  }

  @Override
  public String timeFormatFull() {
    return "h:mm:ss a zzzz";
  }

  @Override
  public String timeFormatLong() {
    return "h:mm:ss a z";
  }

  @Override
  public String timeFormatMedium() {
    return "h:mm:ss a";
  }

  @Override
  public String timeFormatShort() {
    return "h:mm a";
  }

  @Override
  public String[] weekdaysFull() {
    return new String[] {
        "pa mulungu",
        "pa shahuviluha",
        "pa hivili",
        "pa hidatu",
        "pa hitayi",
        "pa hihanu",
        "pa shahulembela"
    };
  }

  @Override
  public String[] weekdaysNarrow() {
    return new String[] {
        "M",
        "J",
        "H",
        "H",
        "H",
        "W",
        "J"
    };
  }

  @Override
  public String[] weekdaysShort() {
    return new String[] {
        "Mul",
        "Vil",
        "Hiv",
        "Hid",
        "Hit",
        "Hih",
        "Lem"
    };
  }
}
