/*
 * Copyright 2012 Google Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.google.gwt.i18n.client.impl.cldr;

// DO NOT EDIT - GENERATED FROM CLDR AND ICU DATA
//  cldrVersion=21.0
//  number=$Revision: 6472 Google $
//  type=root
//  date=$Date: 2012-01-27 18:53:35 -0500 (Fri, 27 Jan 2012) $

/**
 * Implementation of DateTimeFormatInfo for the "bs" locale.
 */
public class DateTimeFormatInfoImpl_bs extends DateTimeFormatInfoImpl {

  @Override
  public String[] ampms() {
    return new String[] {
        "pre podne",
        "popodne"
    };
  }

  @Override
  public String dateFormatFull() {
    return "EEEE, dd. MMMM y.";
  }

  @Override
  public String dateFormatLong() {
    return "dd. MMMM y.";
  }

  @Override
  public String dateFormatMedium() {
    return "dd.MM.y.";
  }

  @Override
  public String dateFormatShort() {
    return "dd.MM.yy.";
  }

  @Override
  public String[] erasFull() {
    return new String[] {
        "Pre nove ere",
        "Nove ere"
    };
  }

  @Override
  public String[] erasShort() {
    return new String[] {
        "p. n. e.",
        "n. e"
    };
  }

  @Override
  public String formatHour12Minute() {
    return "hh:mm a";
  }

  @Override
  public String formatHour12MinuteSecond() {
    return "hh:mm:ss a";
  }

  @Override
  public String formatMonthAbbrevDay() {
    return "dd. MMM";
  }

  @Override
  public String formatMonthFullDay() {
    return "dd. MMMM";
  }

  @Override
  public String formatMonthFullWeekdayDay() {
    return "EEEE, dd. MMMM";
  }

  @Override
  public String formatMonthNumDay() {
    return "dd.MM.";
  }

  @Override
  public String formatYear() {
    return "y.";
  }

  @Override
  public String formatYearMonthAbbrev() {
    return "MMM y.";
  }

  @Override
  public String formatYearMonthAbbrevDay() {
    return "dd. MMM y.";
  }

  @Override
  public String formatYearMonthFull() {
    return "MMMM y.";
  }

  @Override
  public String formatYearMonthFullDay() {
    return "d. MMMM y.";
  }

  @Override
  public String formatYearMonthNum() {
    return "MM.y.";
  }

  @Override
  public String formatYearMonthNumDay() {
    return "dd.MM.y.";
  }

  @Override
  public String formatYearMonthWeekdayDay() {
    return "EEE, dd. MMM y.";
  }

  @Override
  public String[] monthsFull() {
    return new String[] {
        "januar",
        "februar",
        "mart",
        "april",
        "maj",
        "juni",
        "juli",
        "avgust",
        "septembar",
        "oktobar",
        "novembar",
        "decembar"
    };
  }

  @Override
  public String[] monthsNarrow() {
    return new String[] {
        "j",
        "f",
        "m",
        "a",
        "m",
        "j",
        "j",
        "a",
        "s",
        "o",
        "n",
        "d"
    };
  }

  @Override
  public String[] monthsShort() {
    return new String[] {
        "jan",
        "feb",
        "mar",
        "apr",
        "maj",
        "jun",
        "jul",
        "avg",
        "sep",
        "okt",
        "nov",
        "dec"
    };
  }

  @Override
  public String[] quartersFull() {
    return new String[] {
        "Prvi kvartal",
        "Drugi kvartal",
        "Treći kvartal",
        "Četvrti kvartal"
    };
  }

  @Override
  public String[] quartersShort() {
    return new String[] {
        "K1",
        "K2",
        "K3",
        "K4"
    };
  }

  @Override
  public String[] weekdaysFull() {
    return new String[] {
        "nedjelja",
        "ponedjeljak",
        "utorak",
        "srijeda",
        "četvrtak",
        "petak",
        "subota"
    };
  }

  @Override
  public String[] weekdaysNarrow() {
    return new String[] {
        "1",
        "2",
        "3",
        "4",
        "5",
        "6",
        "7"
    };
  }

  @Override
  public String[] weekdaysShort() {
    return new String[] {
        "ned",
        "pon",
        "uto",
        "sri",
        "čet",
        "pet",
        "sub"
    };
  }
}
