/*
 * Copyright 2012 Google Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.google.gwt.i18n.client.impl.cldr;

// DO NOT EDIT - GENERATED FROM CLDR AND ICU DATA
//  cldrVersion=21.0
//  number=$Revision: 6546 $
//  date=$Date: 2012-02-07 13:32:35 -0500 (Tue, 07 Feb 2012) $
//  type=root

/**
 * Implementation of DateTimeFormatInfo for the "byn" locale.
 */
public class DateTimeFormatInfoImpl_byn extends DateTimeFormatInfoImpl {

  @Override
  public String[] ampms() {
    return new String[] {
        "ፋዱስ ጃብ",
        "ፋዱስ ደምቢ"
    };
  }

  @Override
  public String dateFormatFull() {
    return "EEEE፡ dd MMMM ግርጋ y G";
  }

  @Override
  public String dateFormatLong() {
    return "dd MMMM y";
  }

  @Override
  public String dateFormatMedium() {
    return "dd-MMM-y";
  }

  @Override
  public String dateFormatShort() {
    return "dd/MM/yy";
  }

  @Override
  public String[] erasFull() {
    return new String[] {
        "ይጅ",
        "ኣድ"
    };
  }

  @Override
  public String[] erasShort() {
    return new String[] {
        "ይጅ",
        "ኣድ"
    };
  }

  @Override
  public String formatMonthFullWeekdayDay() {
    return "EEEE, MMMM d";
  }

  @Override
  public String formatMonthNumDay() {
    return "M/d";
  }

  @Override
  public String formatYearMonthAbbrev() {
    return "MMM y";
  }

  @Override
  public String formatYearMonthAbbrevDay() {
    return "MMM d, y";
  }

  @Override
  public String formatYearMonthFull() {
    return "MMMM y";
  }

  @Override
  public String formatYearMonthFullDay() {
    return "MMMM d, y";
  }

  @Override
  public String formatYearMonthNum() {
    return "M/y";
  }

  @Override
  public String formatYearMonthNumDay() {
    return "M/d/y";
  }

  @Override
  public String formatYearMonthWeekdayDay() {
    return "EEE, MMM d, y";
  }

  @Override
  public String formatYearQuarterFull() {
    return "QQQQ y";
  }

  @Override
  public String formatYearQuarterShort() {
    return "Q y";
  }

  @Override
  public String[] monthsFull() {
    return new String[] {
        "ልደትሪ",
        "ካብኽብቲ",
        "ክብላ",
        "ፋጅኺሪ",
        "ክቢቅሪ",
        "ምኪኤል ትጟኒሪ",
        "ኰርኩ",
        "ማርያም ትሪ",
        "ያኸኒ መሳቅለሪ",
        "መተሉ",
        "ምኪኤል መሽወሪ",
        "ተሕሳስሪ"
    };
  }

  @Override
  public String[] monthsNarrow() {
    return new String[] {
        "ል",
        "ካ",
        "ክ",
        "ፋ",
        "ክ",
        "ም",
        "ኰ",
        "ማ",
        "ያ",
        "መ",
        "ም",
        "ተ"
    };
  }

  @Override
  public String[] monthsShort() {
    return new String[] {
        "ልደት",
        "ካብኽ",
        "ክብላ",
        "ፋጅኺ",
        "ክቢቅ",
        "ም/ት",
        "ኰር",
        "ማርያ",
        "ያኸኒ",
        "መተሉ",
        "ም/ም",
        "ተሕሳ"
    };
  }

  @Override
  public String[] quartersFull() {
    return new String[] {
        "Q1",
        "Q2",
        "Q3",
        "Q4"
    };
  }

  @Override
  public String timeFormatFull() {
    return "h:mm:ss a zzzz";
  }

  @Override
  public String timeFormatLong() {
    return "h:mm:ss a z";
  }

  @Override
  public String timeFormatMedium() {
    return "h:mm:ss a";
  }

  @Override
  public String timeFormatShort() {
    return "h:mm a";
  }

  @Override
  public String[] weekdaysFull() {
    return new String[] {
        "ሰንበር ቅዳዅ",
        "ሰኑ",
        "ሰሊጝ",
        "ለጓ ወሪ ለብዋ",
        "ኣምድ",
        "ኣርብ",
        "ሰንበር ሽጓዅ"
    };
  }

  @Override
  public String[] weekdaysNarrow() {
    return new String[] {
        "ሰ",
        "ሰ",
        "ሰ",
        "ለ",
        "ኣ",
        "ኣ",
        "ሰ"
    };
  }

  @Override
  public String[] weekdaysShort() {
    return new String[] {
        "ሰ/ቅ",
        "ሰኑ",
        "ሰሊጝ",
        "ለጓ",
        "ኣምድ",
        "ኣርብ",
        "ሰ/ሽ"
    };
  }
}
