/*
 * Copyright 2012 Google Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.google.gwt.i18n.client.impl.cldr;

// DO NOT EDIT - GENERATED FROM CLDR AND ICU DATA
//  cldrVersion=21.0
//  number=$Revision: 6546 $
//  date=$Date: 2012-02-07 13:32:35 -0500 (Tue, 07 Feb 2012) $
//  type=root

/**
 * Implementation of DateTimeFormatInfo for the "guz" locale.
 */
public class DateTimeFormatInfoImpl_guz extends DateTimeFormatInfoImpl {

  @Override
  public String[] ampms() {
    return new String[] {
        "Ma/Mo",
        "Mambia/Mog"
    };
  }

  @Override
  public String dateFormatFull() {
    return "EEEE, d MMMM y";
  }

  @Override
  public String dateFormatLong() {
    return "d MMMM y";
  }

  @Override
  public String dateFormatMedium() {
    return "d MMM y";
  }

  @Override
  public String dateFormatShort() {
    return "dd/MM/yyyy";
  }

  @Override
  public String[] erasFull() {
    return new String[] {
        "Yeso ataiborwa",
        "Yeso kaiboirwe"
    };
  }

  @Override
  public String[] erasShort() {
    return new String[] {
        "YA",
        "YK"
    };
  }

  @Override
  public int firstDayOfTheWeek() {
    return 0;
  }

  @Override
  public String formatMonthFullWeekdayDay() {
    return "EEEE, MMMM d";
  }

  @Override
  public String formatMonthNumDay() {
    return "M/d";
  }

  @Override
  public String formatYearMonthAbbrev() {
    return "MMM y";
  }

  @Override
  public String formatYearMonthFull() {
    return "MMMM y";
  }

  @Override
  public String formatYearMonthFullDay() {
    return "d MMMM y";
  }

  @Override
  public String formatYearMonthNum() {
    return "M/y";
  }

  @Override
  public String formatYearMonthWeekdayDay() {
    return "EEE, MMM d, y";
  }

  @Override
  public String formatYearQuarterFull() {
    return "QQQQ y";
  }

  @Override
  public String formatYearQuarterShort() {
    return "Q y";
  }

  @Override
  public String[] monthsFull() {
    return new String[] {
        "Chanuari",
        "Feburari",
        "Machi",
        "Apiriri",
        "Mei",
        "Juni",
        "Chulai",
        "Agosti",
        "Septemba",
        "Okitoba",
        "Nobemba",
        "Disemba"
    };
  }

  @Override
  public String[] monthsNarrow() {
    return new String[] {
        "C",
        "F",
        "M",
        "A",
        "M",
        "J",
        "C",
        "A",
        "S",
        "O",
        "N",
        "D"
    };
  }

  @Override
  public String[] monthsShort() {
    return new String[] {
        "Can",
        "Feb",
        "Mac",
        "Apr",
        "Mei",
        "Jun",
        "Cul",
        "Agt",
        "Sep",
        "Okt",
        "Nob",
        "Dis"
    };
  }

  @Override
  public String[] quartersFull() {
    return new String[] {
        "Erobo entang'ani",
        "Erobo yakabere",
        "Erobo yagatato",
        "Erobo yakane"
    };
  }

  @Override
  public String[] quartersShort() {
    return new String[] {
        "E1",
        "E2",
        "E3",
        "E4"
    };
  }

  @Override
  public String timeFormatFull() {
    return "h:mm:ss a zzzz";
  }

  @Override
  public String timeFormatLong() {
    return "h:mm:ss a z";
  }

  @Override
  public String timeFormatMedium() {
    return "h:mm:ss a";
  }

  @Override
  public String timeFormatShort() {
    return "h:mm a";
  }

  @Override
  public String[] weekdaysFull() {
    return new String[] {
        "Chumapiri",
        "Chumatato",
        "Chumaine",
        "Chumatano",
        "Aramisi",
        "Ichuma",
        "Esabato"
    };
  }

  @Override
  public String[] weekdaysNarrow() {
    return new String[] {
        "C",
        "C",
        "C",
        "C",
        "A",
        "I",
        "E"
    };
  }

  @Override
  public String[] weekdaysShort() {
    return new String[] {
        "Cpr",
        "Ctt",
        "Cmn",
        "Cmt",
        "Ars",
        "Icm",
        "Est"
    };
  }
}
