/*
 * Copyright 2012 Google Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.google.gwt.i18n.client.impl.cldr;

// DO NOT EDIT - GENERATED FROM CLDR AND ICU DATA
//  cldrVersion=21.0
//  number=$Revision: 6546 Google $
//  type=root
//  date=$Date: 2012-02-07 13:32:35 -0500 (Tue, 07 Feb 2012) $

/**
 * Implementation of DateTimeFormatInfo for the "is" locale.
 */
public class DateTimeFormatInfoImpl_is extends DateTimeFormatInfoImpl {

  @Override
  public String[] ampms() {
    return new String[] {
        "f.h.",
        "e.h."
    };
  }

  @Override
  public String dateFormatFull() {
    return "EEEE, d. MMMM y";
  }

  @Override
  public String dateFormatLong() {
    return "d. MMMM y";
  }

  @Override
  public String dateFormatMedium() {
    return "d.M.yyyy";
  }

  @Override
  public String dateFormatShort() {
    return "d.M.yyyy";
  }

  @Override
  public String[] erasFull() {
    return new String[] {
        "fyrir Krist",
        "eftir Krist"
    };
  }

  @Override
  public String[] erasShort() {
    return new String[] {
        "fyrir Krist",
        "eftir Krist"
    };
  }

  @Override
  public String formatMonthAbbrevDay() {
    return "d. MMM";
  }

  @Override
  public String formatMonthFullDay() {
    return "d. MMMM";
  }

  @Override
  public String formatMonthFullWeekdayDay() {
    return "EEEE d. MMMM";
  }

  @Override
  public String formatMonthNumDay() {
    return "d.M";
  }

  @Override
  public String formatYearMonthAbbrev() {
    return "MMM y";
  }

  @Override
  public String formatYearMonthAbbrevDay() {
    return "d MMM, y";
  }

  @Override
  public String formatYearMonthFull() {
    return "MMMM y";
  }

  @Override
  public String formatYearMonthFullDay() {
    return "d. MMMM y";
  }

  @Override
  public String formatYearMonthNum() {
    return "M. yyyy";
  }

  @Override
  public String formatYearMonthNumDay() {
    return "d/M/y";
  }

  @Override
  public String formatYearMonthWeekdayDay() {
    return "EEE d. MMM y";
  }

  @Override
  public String formatYearQuarterFull() {
    return "QQQQ. yyyy";
  }

  @Override
  public String formatYearQuarterShort() {
    return "Q. yyyy";
  }

  @Override
  public String[] monthsFull() {
    return new String[] {
        "janúar",
        "febrúar",
        "mars",
        "apríl",
        "maí",
        "júní",
        "júlí",
        "ágúst",
        "september",
        "október",
        "nóvember",
        "desember"
    };
  }

  @Override
  public String[] monthsNarrow() {
    return new String[] {
        "J",
        "F",
        "M",
        "A",
        "M",
        "J",
        "J",
        "Á",
        "L",
        "O",
        "N",
        "D"
    };
  }

  @Override
  public String[] monthsNarrowStandalone() {
    return new String[] {
        "j",
        "f",
        "m",
        "a",
        "m",
        "j",
        "j",
        "á",
        "s",
        "o",
        "n",
        "d"
    };
  }

  @Override
  public String[] monthsShort() {
    return new String[] {
        "jan",
        "feb",
        "mar",
        "apr",
        "maí",
        "jún",
        "júl",
        "ágú",
        "sep",
        "okt",
        "nóv",
        "des"
    };
  }

  @Override
  public String[] quartersFull() {
    return new String[] {
        "1st fjórðungur",
        "2nd fjórðungur",
        "3rd fjórðungur",
        "4th fjórðungur"
    };
  }

  @Override
  public String[] quartersShort() {
    return new String[] {
        "F1",
        "F2",
        "F3",
        "F4"
    };
  }

  @Override
  public String[] weekdaysFull() {
    return new String[] {
        "sunnudagur",
        "mánudagur",
        "þriðjudagur",
        "miðvikudagur",
        "fimmtudagur",
        "föstudagur",
        "laugardagur"
    };
  }

  @Override
  public String[] weekdaysNarrow() {
    return new String[] {
        "S",
        "M",
        "Þ",
        "M",
        "F",
        "F",
        "L"
    };
  }

  @Override
  public String[] weekdaysNarrowStandalone() {
    return new String[] {
        "s",
        "m",
        "þ",
        "m",
        "f",
        "f",
        "l"
    };
  }

  @Override
  public String[] weekdaysShort() {
    return new String[] {
        "sun",
        "mán",
        "þri",
        "mið",
        "fim",
        "fös",
        "lau"
    };
  }
}
