/*
 * Copyright 2012 Google Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.google.gwt.i18n.client.impl.cldr;

// DO NOT EDIT - GENERATED FROM CLDR AND ICU DATA
//  cldrVersion=21.0
//  number=$Revision: 5798 $
//  date=$Date: 2011-05-02 02:05:34 -0400 (Mon, 02 May 2011) $
//  type=root

/**
 * Implementation of DateTimeFormatInfo for the "kaj" locale.
 */
public class DateTimeFormatInfoImpl_kaj extends DateTimeFormatInfoImpl {

  @Override
  public String[] ampms() {
    return new String[] {
        "A.M.",
        "P.M."
    };
  }

  @Override
  public String dateFormatShort() {
    return "yy/MM/dd";
  }

  @Override
  public String[] erasFull() {
    return new String[] {
        "Gabanin Miladi",
        "Miladi"
    };
  }

  @Override
  public String[] erasShort() {
    return new String[] {
        "G.M.",
        "M."
    };
  }

  @Override
  public String formatMonthFullWeekdayDay() {
    return "EEEE, MMMM d";
  }

  @Override
  public String formatMonthNumDay() {
    return "M/d";
  }

  @Override
  public String formatYearMonthAbbrev() {
    return "MMM y";
  }

  @Override
  public String formatYearMonthAbbrevDay() {
    return "MMM d, y";
  }

  @Override
  public String formatYearMonthFull() {
    return "MMMM y";
  }

  @Override
  public String formatYearMonthFullDay() {
    return "MMMM d, y";
  }

  @Override
  public String formatYearMonthNum() {
    return "M/y";
  }

  @Override
  public String formatYearMonthNumDay() {
    return "M/d/y";
  }

  @Override
  public String formatYearMonthWeekdayDay() {
    return "EEE, MMM d, y";
  }

  @Override
  public String formatYearQuarterFull() {
    return "QQQQ y";
  }

  @Override
  public String formatYearQuarterShort() {
    return "Q y";
  }

  @Override
  public String[] monthsFull() {
    return new String[] {
        "Hywan A̱yrnig",
        "Hywan A̱hwa",
        "Hywan A̱tat",
        "Hywan A̱naai",
        "Hywan A̱pfwon",
        "Hywan A̱kitat",
        "Hywan A̱tyirin",
        "Hywan A̱ninai",
        "Hywan A̱kumviriyin",
        "Hywan Swak",
        "Hywan Swak B'a̱yrnig",
        "Hywan Swak B'a̱hwa"
    };
  }

  @Override
  public String[] monthsNarrow() {
    return new String[] {
        "1",
        "2",
        "3",
        "4",
        "5",
        "6",
        "7",
        "8",
        "9",
        "10",
        "11",
        "12"
    };
  }

  @Override
  public String[] monthsShort() {
    return new String[] {
        "A̱yr",
        "A̱hw",
        "A̱ta",
        "A̱na",
        "A̱pf",
        "A̱ki",
        "A̱ty",
        "A̱ni",
        "A̱ku",
        "Swa",
        "Sby",
        "Sbh"
    };
  }

  @Override
  public String[] quartersFull() {
    return new String[] {
        "Q1",
        "Q2",
        "Q3",
        "Q4"
    };
  }

  @Override
  public String[] weekdaysFull() {
    return new String[] {
        "Ladi",
        "Lintani",
        "Talata",
        "Larba",
        "Lamit",
        "Juma",
        "Asabar"
    };
  }

  @Override
  public String[] weekdaysNarrow() {
    return new String[] {
        "1",
        "2",
        "3",
        "4",
        "5",
        "6",
        "7"
    };
  }

  @Override
  public String[] weekdaysShort() {
    return new String[] {
        "Lad",
        "Lin",
        "Tal",
        "Lar",
        "Lam",
        "Jum",
        "Asa"
    };
  }
}
