/*
 * Copyright 2012 Google Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.google.gwt.i18n.client.impl.cldr;

// DO NOT EDIT - GENERATED FROM CLDR AND ICU DATA
//  cldrVersion=21.0
//  number=$Revision: 5798 $
//  type=root
//  date=$Date: 2011-05-02 02:05:34 -0400 (Mon, 02 May 2011) $

/**
 * Implementation of DateTimeFormatInfo for the "kcg" locale.
 */
public class DateTimeFormatInfoImpl_kcg extends DateTimeFormatInfoImpl {

  @Override
  public String dateFormatShort() {
    return "yy/MM/dd";
  }

  @Override
  public String[] erasFull() {
    return new String[] {
        "Gabanin Miladi",
        "Miladi"
    };
  }

  @Override
  public String[] erasShort() {
    return new String[] {
        "GM",
        "M"
    };
  }

  @Override
  public String formatMonthFullWeekdayDay() {
    return "EEEE, MMMM d";
  }

  @Override
  public String formatMonthNumDay() {
    return "M/d";
  }

  @Override
  public String formatYearMonthAbbrev() {
    return "MMM y";
  }

  @Override
  public String formatYearMonthAbbrevDay() {
    return "MMM d, y";
  }

  @Override
  public String formatYearMonthFull() {
    return "MMMM y";
  }

  @Override
  public String formatYearMonthFullDay() {
    return "MMMM d, y";
  }

  @Override
  public String formatYearMonthNum() {
    return "M/y";
  }

  @Override
  public String formatYearMonthNumDay() {
    return "M/d/y";
  }

  @Override
  public String formatYearMonthWeekdayDay() {
    return "EEE, MMM d, y";
  }

  @Override
  public String formatYearQuarterFull() {
    return "QQQQ y";
  }

  @Override
  public String formatYearQuarterShort() {
    return "Q y";
  }

  @Override
  public String[] monthsFull() {
    return new String[] {
        "Zwat Juwung",
        "Zwat Swiyang",
        "Zwat Tsat",
        "Zwat Nyai",
        "Zwat Tswon",
        "Zwat Ataah",
        "Zwat Anatat",
        "Zwat Arinai",
        "Zwat Akubunyung",
        "Zwat Swag",
        "Zwat Mangjuwang",
        "Zwat Swag-Ma-Suyang"
    };
  }

  @Override
  public String[] monthsNarrow() {
    return new String[] {
        "1",
        "2",
        "3",
        "4",
        "5",
        "6",
        "7",
        "8",
        "9",
        "10",
        "11",
        "12"
    };
  }

  @Override
  public String[] monthsShort() {
    return new String[] {
        "Juw",
        "Swi",
        "Tsa",
        "Nya",
        "Tsw",
        "Ata",
        "Ana",
        "Ari",
        "Aku",
        "Swa",
        "Man",
        "Mas"
    };
  }

  @Override
  public String[] quartersFull() {
    return new String[] {
        "Q1",
        "Q2",
        "Q3",
        "Q4"
    };
  }

  @Override
  public String[] weekdaysFull() {
    return new String[] {
        "Ladi",
        "Tanii",
        "Talata",
        "Larba",
        "Lamit",
        "Juma",
        "Asabat"
    };
  }

  @Override
  public String[] weekdaysNarrow() {
    return new String[] {
        "1",
        "2",
        "3",
        "4",
        "5",
        "6",
        "7"
    };
  }

  @Override
  public String[] weekdaysShort() {
    return new String[] {
        "Lad",
        "Tan",
        "Tal",
        "Lar",
        "Lam",
        "Jum",
        "Asa"
    };
  }
}
