/*
 * Copyright 2012 Google Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.google.gwt.i18n.client.impl.cldr;

// DO NOT EDIT - GENERATED FROM CLDR AND ICU DATA
//  cldrVersion=21.0
//  number=$Revision: 6546 $
//  date=$Date: 2012-02-07 13:32:35 -0500 (Tue, 07 Feb 2012) $
//  type=root

/**
 * Implementation of DateTimeFormatInfo for the "ksb" locale.
 */
public class DateTimeFormatInfoImpl_ksb extends DateTimeFormatInfoImpl {

  @Override
  public String[] ampms() {
    return new String[] {
        "makeo",
        "nyiaghuo"
    };
  }

  @Override
  public String dateFormatFull() {
    return "EEEE, d MMMM y";
  }

  @Override
  public String dateFormatLong() {
    return "d MMMM y";
  }

  @Override
  public String dateFormatMedium() {
    return "d MMM y";
  }

  @Override
  public String dateFormatShort() {
    return "dd/MM/yyyy";
  }

  @Override
  public String[] erasFull() {
    return new String[] {
        "Kabla ya Klisto",
        "Baada ya Klisto"
    };
  }

  @Override
  public String[] erasShort() {
    return new String[] {
        "KK",
        "BK"
    };
  }

  @Override
  public String formatMonthFullWeekdayDay() {
    return "EEEE, MMMM d";
  }

  @Override
  public String formatMonthNumDay() {
    return "M/d";
  }

  @Override
  public String formatYearMonthAbbrev() {
    return "MMM y";
  }

  @Override
  public String formatYearMonthFull() {
    return "MMMM y";
  }

  @Override
  public String formatYearMonthFullDay() {
    return "d MMMM y";
  }

  @Override
  public String formatYearMonthNum() {
    return "M/y";
  }

  @Override
  public String formatYearMonthWeekdayDay() {
    return "EEE, MMM d, y";
  }

  @Override
  public String formatYearQuarterFull() {
    return "QQQQ y";
  }

  @Override
  public String formatYearQuarterShort() {
    return "Q y";
  }

  @Override
  public String[] monthsFull() {
    return new String[] {
        "Januali",
        "Febluali",
        "Machi",
        "Aplili",
        "Mei",
        "Juni",
        "Julai",
        "Agosti",
        "Septemba",
        "Oktoba",
        "Novemba",
        "Desemba"
    };
  }

  @Override
  public String[] monthsShort() {
    return new String[] {
        "Jan",
        "Feb",
        "Mac",
        "Apr",
        "Mei",
        "Jun",
        "Jul",
        "Ago",
        "Sep",
        "Okt",
        "Nov",
        "Des"
    };
  }

  @Override
  public String[] quartersFull() {
    return new String[] {
        "Lobo ya bosi",
        "Lobo ya mbii",
        "Lobo ya nnd'atu",
        "Lobo ya nne"
    };
  }

  @Override
  public String[] quartersShort() {
    return new String[] {
        "L1",
        "L2",
        "L3",
        "L4"
    };
  }

  @Override
  public String timeFormatFull() {
    return "h:mm:ss a zzzz";
  }

  @Override
  public String timeFormatLong() {
    return "h:mm:ss a z";
  }

  @Override
  public String timeFormatMedium() {
    return "h:mm:ss a";
  }

  @Override
  public String timeFormatShort() {
    return "h:mm a";
  }

  @Override
  public String[] weekdaysFull() {
    return new String[] {
        "Jumaapii",
        "Jumaatatu",
        "Jumaane",
        "Jumaatano",
        "Alhamisi",
        "Ijumaa",
        "Jumaamosi"
    };
  }

  @Override
  public String[] weekdaysNarrow() {
    return new String[] {
        "2",
        "3",
        "4",
        "5",
        "A",
        "I",
        "1"
    };
  }

  @Override
  public String[] weekdaysShort() {
    return new String[] {
        "Jpi",
        "Jtt",
        "Jmn",
        "Jtn",
        "Alh",
        "Iju",
        "Jmo"
    };
  }
}
