/*
 * Copyright 2012 Google Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.google.gwt.i18n.client.impl.cldr;

// DO NOT EDIT - GENERATED FROM CLDR AND ICU DATA
//  cldrVersion=21.0
//  number=$Revision: 6546 $
//  type=root
//  date=$Date: 2012-02-07 13:32:35 -0500 (Tue, 07 Feb 2012) $

/**
 * Implementation of DateTimeFormatInfo for the "ksf" locale.
 */
public class DateTimeFormatInfoImpl_ksf extends DateTimeFormatInfoImpl {

  @Override
  public String[] ampms() {
    return new String[] {
        "sárúwá",
        "cɛɛ́nko"
    };
  }

  @Override
  public String dateFormatFull() {
    return "EEEE d MMMM y";
  }

  @Override
  public String dateFormatLong() {
    return "d MMMM y";
  }

  @Override
  public String dateFormatMedium() {
    return "d MMM y";
  }

  @Override
  public String dateFormatShort() {
    return "d/M/yyyy";
  }

  @Override
  public String[] erasFull() {
    return new String[] {
        "di Yɛ́sus aká yálɛ",
        "cámɛɛn kǝ kǝbɔpka Y"
    };
  }

  @Override
  public String[] erasShort() {
    return new String[] {
        "d.Y.",
        "k.Y."
    };
  }

  @Override
  public String formatMinuteSecond() {
    return "m:ss";
  }

  @Override
  public String formatMonthAbbrevDay() {
    return "d MMM";
  }

  @Override
  public String formatMonthFullDay() {
    return "d MMMM";
  }

  @Override
  public String formatMonthFullWeekdayDay() {
    return "EEEE d MMMM";
  }

  @Override
  public String formatMonthNumDay() {
    return "d/M";
  }

  @Override
  public String formatYearMonthAbbrev() {
    return "MMM y";
  }

  @Override
  public String formatYearMonthAbbrevDay() {
    return "d MMM y";
  }

  @Override
  public String formatYearMonthFull() {
    return "MMMM y";
  }

  @Override
  public String formatYearMonthFullDay() {
    return "d MMMM y";
  }

  @Override
  public String formatYearMonthNum() {
    return "M/y";
  }

  @Override
  public String formatYearMonthNumDay() {
    return "d/M/y";
  }

  @Override
  public String formatYearMonthWeekdayDay() {
    return "EEE d MMM y";
  }

  @Override
  public String formatYearQuarterFull() {
    return "QQQQ y";
  }

  @Override
  public String formatYearQuarterShort() {
    return "Q y";
  }

  @Override
  public String[] monthsFull() {
    return new String[] {
        "ŋwíí a ntɔ́ntɔ",
        "ŋwíí akǝ bɛ́ɛ",
        "ŋwíí akǝ ráá",
        "ŋwíí akǝ nin",
        "ŋwíí akǝ táan",
        "ŋwíí akǝ táafɔk",
        "ŋwíí akǝ táabɛɛ",
        "ŋwíí akǝ táaraa",
        "ŋwíí akǝ táanin",
        "ŋwíí akǝ ntɛk",
        "ŋwíí akǝ ntɛk di bɔ́k",
        "ŋwíí akǝ ntɛk di bɛ́ɛ"
    };
  }

  @Override
  public String[] monthsNarrow() {
    return new String[] {
        "1",
        "2",
        "3",
        "4",
        "5",
        "6",
        "7",
        "8",
        "9",
        "10",
        "11",
        "12"
    };
  }

  @Override
  public String[] monthsShort() {
    return new String[] {
        "ŋ1",
        "ŋ2",
        "ŋ3",
        "ŋ4",
        "ŋ5",
        "ŋ6",
        "ŋ7",
        "ŋ8",
        "ŋ9",
        "ŋ10",
        "ŋ11",
        "ŋ12"
    };
  }

  @Override
  public String[] quartersFull() {
    return new String[] {
        "id́ɛ́n kǝbǝk kǝ ntɔ́ntɔ́",
        "idɛ́n kǝbǝk kǝ kǝbɛ́ɛ",
        "idɛ́n kǝbǝk kǝ kǝráá",
        "idɛ́n kǝbǝk kǝ kǝnin"
    };
  }

  @Override
  public String[] quartersShort() {
    return new String[] {
        "i1",
        "i2",
        "i3",
        "i4"
    };
  }

  @Override
  public String[] weekdaysFull() {
    return new String[] {
        "sɔ́ndǝ",
        "lǝndí",
        "maadí",
        "mɛkrɛdí",
        "jǝǝdí",
        "júmbá",
        "samdí"
    };
  }

  @Override
  public String[] weekdaysNarrow() {
    return new String[] {
        "s",
        "l",
        "m",
        "m",
        "j",
        "j",
        "s"
    };
  }

  @Override
  public String[] weekdaysShort() {
    return new String[] {
        "sɔ́n",
        "lǝn",
        "maa",
        "mɛk",
        "jǝǝ",
        "júm",
        "sam"
    };
  }
}
