/*
 * Copyright 2012 Google Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.google.gwt.i18n.client.impl.cldr;

// DO NOT EDIT - GENERATED FROM CLDR AND ICU DATA
//  cldrVersion=21.0
//  number=$Revision: 6546 $
//  type=lu
//  date=$Date: 2012-02-07 13:32:35 -0500 (Tue, 07 Feb 2012) $

/**
 * Implementation of DateTimeFormatInfo for the "lu" locale.
 */
public class DateTimeFormatInfoImpl_lu extends DateTimeFormatInfoImpl {

  @Override
  public String[] ampms() {
    return new String[] {
        "Dinda",
        "Dilolo"
    };
  }

  @Override
  public String dateFormatFull() {
    return "EEEE d MMMM y";
  }

  @Override
  public String dateFormatLong() {
    return "d MMMM y";
  }

  @Override
  public String dateFormatMedium() {
    return "d MMM y";
  }

  @Override
  public String dateFormatShort() {
    return "d/M/yyyy";
  }

  @Override
  public String[] erasFull() {
    return new String[] {
        "Kumpala kwa Yezu Kli",
        "Kunyima kwa Yezu Kli"
    };
  }

  @Override
  public String[] erasShort() {
    return new String[] {
        "kmp. Y.K.",
        "kny. Y. K."
    };
  }

  @Override
  public String formatMinuteSecond() {
    return "m:ss";
  }

  @Override
  public String formatMonthAbbrevDay() {
    return "d MMM";
  }

  @Override
  public String formatMonthFullDay() {
    return "d MMMM";
  }

  @Override
  public String formatMonthFullWeekdayDay() {
    return "EEEE d MMMM";
  }

  @Override
  public String formatMonthNumDay() {
    return "d/M";
  }

  @Override
  public String formatYearMonthAbbrev() {
    return "MMM y";
  }

  @Override
  public String formatYearMonthAbbrevDay() {
    return "d MMM y";
  }

  @Override
  public String formatYearMonthFull() {
    return "MMMM y";
  }

  @Override
  public String formatYearMonthFullDay() {
    return "d MMMM y";
  }

  @Override
  public String formatYearMonthNum() {
    return "M/y";
  }

  @Override
  public String formatYearMonthNumDay() {
    return "d/M/y";
  }

  @Override
  public String formatYearMonthWeekdayDay() {
    return "EEE d MMM y";
  }

  @Override
  public String formatYearQuarterFull() {
    return "QQQQ y";
  }

  @Override
  public String formatYearQuarterShort() {
    return "Q y";
  }

  @Override
  public String[] monthsFull() {
    return new String[] {
        "Ciongo",
        "Lùishi",
        "Lusòlo",
        "Mùuyà",
        "Lumùngùlù",
        "Lufuimi",
        "Kabàlàshìpù",
        "Lùshìkà",
        "Lutongolo",
        "Lungùdi",
        "Kaswèkèsè",
        "Ciswà"
    };
  }

  @Override
  public String[] monthsNarrow() {
    return new String[] {
        "C",
        "L",
        "L",
        "M",
        "L",
        "L",
        "K",
        "L",
        "L",
        "L",
        "K",
        "C"
    };
  }

  @Override
  public String[] monthsShort() {
    return new String[] {
        "Cio",
        "Lui",
        "Lus",
        "Muu",
        "Lum",
        "Luf",
        "Kab",
        "Lush",
        "Lut",
        "Lun",
        "Kas",
        "Cis"
    };
  }

  @Override
  public String[] quartersFull() {
    return new String[] {
        "Mueji 1",
        "Mueji 2",
        "Mueji 3",
        "Mueji 4"
    };
  }

  @Override
  public String[] quartersShort() {
    return new String[] {
        "M1",
        "M2",
        "M3",
        "M4"
    };
  }

  @Override
  public String[] weekdaysFull() {
    return new String[] {
        "Lumingu",
        "Nkodya",
        "Ndàayà",
        "Ndangù",
        "Njòwa",
        "Ngòvya",
        "Lubingu"
    };
  }

  @Override
  public String[] weekdaysNarrow() {
    return new String[] {
        "L",
        "N",
        "N",
        "N",
        "N",
        "N",
        "L"
    };
  }

  @Override
  public String[] weekdaysShort() {
    return new String[] {
        "Lum",
        "Nko",
        "Ndy",
        "Ndg",
        "Njw",
        "Ngv",
        "Lub"
    };
  }
}
