/*
 * Copyright 2012 Google Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.google.gwt.i18n.client.impl.cldr;

// DO NOT EDIT - GENERATED FROM CLDR AND ICU DATA
//  cldrVersion=21.0
//  number=$Revision: 6450 $
//  type=root
//  date=$Date: 2012-01-25 19:20:54 -0500 (Wed, 25 Jan 2012) $

/**
 * Implementation of DateTimeFormatInfo for the "mgh" locale.
 */
public class DateTimeFormatInfoImpl_mgh extends DateTimeFormatInfoImpl {

  @Override
  public String dateFormatFull() {
    return "EEEE, d MMMM y";
  }

  @Override
  public String dateFormatLong() {
    return "d MMMM y";
  }

  @Override
  public String dateFormatMedium() {
    return "d MMM y";
  }

  @Override
  public String dateFormatShort() {
    return "dd/MM/yyyy";
  }

  @Override
  public String[] erasFull() {
    return new String[] {
        "Hinapiya yesu",
        "Yopia yesu"
    };
  }

  @Override
  public String[] erasShort() {
    return new String[] {
        "HY",
        "YY"
    };
  }

  @Override
  public String formatMinuteSecond() {
    return "m:ss";
  }

  @Override
  public String formatMonthFullWeekdayDay() {
    return "EEEE, MMMM d";
  }

  @Override
  public String formatMonthNumDay() {
    return "d/M";
  }

  @Override
  public String formatYearMonthAbbrev() {
    return "MMM y";
  }

  @Override
  public String formatYearMonthAbbrevDay() {
    return "MMM d, y";
  }

  @Override
  public String formatYearMonthFull() {
    return "MMMM y";
  }

  @Override
  public String formatYearMonthFullDay() {
    return "d MMMM y";
  }

  @Override
  public String formatYearMonthNum() {
    return "M/y";
  }

  @Override
  public String formatYearMonthNumDay() {
    return "d/M/y";
  }

  @Override
  public String formatYearMonthWeekdayDay() {
    return "EEE, MMM d, y";
  }

  @Override
  public String formatYearQuarterFull() {
    return "QQQQ y";
  }

  @Override
  public String formatYearQuarterShort() {
    return "Q y";
  }

  @Override
  public String[] monthsFull() {
    return new String[] {
        "Mweri wo kwanza",
        "Mweri wo unayeli",
        "Mweri wo uneraru",
        "Mweri wo unecheshe",
        "Mweri wo unethanu",
        "Mweri wo thanu na mocha",
        "Mweri wo saba",
        "Mweri wo nane",
        "Mweri wo tisa",
        "Mweri wo kumi",
        "Mweri wo kumi na moja",
        "Mweri wo kumi na yel'li"
    };
  }

  @Override
  public String[] monthsNarrow() {
    return new String[] {
        "K",
        "U",
        "R",
        "C",
        "T",
        "M",
        "S",
        "N",
        "T",
        "K",
        "M",
        "Y"
    };
  }

  @Override
  public String[] monthsShort() {
    return new String[] {
        "Kwa",
        "Una",
        "Rar",
        "Che",
        "Tha",
        "Moc",
        "Sab",
        "Nan",
        "Tis",
        "Kum",
        "Moj",
        "Yel"
    };
  }

  @Override
  public String[] quartersFull() {
    return new String[] {
        "Q1",
        "Q2",
        "Q3",
        "Q4"
    };
  }

  @Override
  public String timeFormatFull() {
    return "h:mm:ss a zzzz";
  }

  @Override
  public String timeFormatLong() {
    return "h:mm:ss a z";
  }

  @Override
  public String timeFormatMedium() {
    return "h:mm:ss a";
  }

  @Override
  public String timeFormatShort() {
    return "h:mm a";
  }

  @Override
  public String[] weekdaysFull() {
    return new String[] {
        "Sabato",
        "Jumatatu",
        "Jumanne",
        "Jumatano",
        "Arahamisi",
        "Ijumaa",
        "Jumamosi"
    };
  }

  @Override
  public String[] weekdaysNarrow() {
    return new String[] {
        "S",
        "J",
        "J",
        "J",
        "A",
        "I",
        "J"
    };
  }

  @Override
  public String[] weekdaysShort() {
    return new String[] {
        "Sab",
        "Jtt",
        "Jnn",
        "Jtn",
        "Ara",
        "Iju",
        "Jmo"
    };
  }
}
