/*
 * Copyright 2012 Google Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.google.gwt.i18n.client.impl.cldr;

// DO NOT EDIT - GENERATED FROM CLDR AND ICU DATA
//  cldrVersion=21.0
//  number=$Revision: 6546 Google $
//  type=root
//  date=$Date: 2012-02-07 13:32:35 -0500 (Tue, 07 Feb 2012) $

/**
 * Implementation of DateTimeFormatInfo for the "mt" locale.
 */
public class DateTimeFormatInfoImpl_mt extends DateTimeFormatInfoImpl {

  @Override
  public String[] ampms() {
    return new String[] {
        "QN",
        "WN"
    };
  }

  @Override
  public String dateFormatFull() {
    return "EEEE, d 'ta'’ MMMM y";
  }

  @Override
  public String dateFormatLong() {
    return "d 'ta'’ MMMM y";
  }

  @Override
  public String dateFormatMedium() {
    return "dd MMM y";
  }

  @Override
  public String dateFormatShort() {
    return "dd/MM/yyyy";
  }

  @Override
  public String[] erasFull() {
    return new String[] {
        "Qabel Kristu",
        "Wara Kristu"
    };
  }

  @Override
  public String[] erasShort() {
    return new String[] {
        "QK",
        "WK"
    };
  }

  @Override
  public int firstDayOfTheWeek() {
    return 0;
  }

  @Override
  public String formatYearMonthFullDay() {
    return "d 'ta'’ MMMM y";
  }

  @Override
  public String[] monthsFull() {
    return new String[] {
        "Jannar",
        "Frar",
        "Marzu",
        "April",
        "Mejju",
        "Ġunju",
        "Lulju",
        "Awwissu",
        "Settembru",
        "Ottubru",
        "Novembru",
        "Diċembru"
    };
  }

  @Override
  public String[] monthsNarrow() {
    return new String[] {
        "J",
        "F",
        "M",
        "A",
        "M",
        "Ġ",
        "L",
        "A",
        "S",
        "O",
        "N",
        "D"
    };
  }

  @Override
  public String[] monthsShort() {
    return new String[] {
        "Jan",
        "Fra",
        "Mar",
        "Apr",
        "Mej",
        "Ġun",
        "Lul",
        "Aww",
        "Set",
        "Ott",
        "Nov",
        "Diċ"
    };
  }

  @Override
  public String[] quartersFull() {
    return new String[] {
        "K1",
        "K2",
        "K3",
        "K4"
    };
  }

  @Override
  public String[] quartersShort() {
    return new String[] {
        "K1",
        "K2",
        "K3",
        "K4"
    };
  }

  @Override
  public String[] weekdaysFull() {
    return new String[] {
        "Il-Ħadd",
        "It-Tnejn",
        "It-Tlieta",
        "L-Erbgħa",
        "Il-Ħamis",
        "Il-Ġimgħa",
        "Is-Sibt"
    };
  }

  @Override
  public String[] weekdaysNarrow() {
    return new String[] {
        "Ħ",
        "T",
        "T",
        "E",
        "Ħ",
        "Ġ",
        "S"
    };
  }

  @Override
  public String[] weekdaysShort() {
    return new String[] {
        "Ħad",
        "Tne",
        "Tli",
        "Erb",
        "Ħam",
        "Ġim",
        "Sib"
    };
  }
}
