/*
 * Copyright 2012 Google Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.google.gwt.i18n.client.impl.cldr;

// DO NOT EDIT - GENERATED FROM CLDR AND ICU DATA
//  cldrVersion=21.0
//  number=$Revision: 6546 $
//  date=$Date: 2012-02-07 13:32:35 -0500 (Tue, 07 Feb 2012) $
//  type=root

/**
 * Implementation of DateTimeFormatInfo for the "nmg" locale.
 */
public class DateTimeFormatInfoImpl_nmg extends DateTimeFormatInfoImpl {

  @Override
  public String[] ampms() {
    return new String[] {
        "maná",
        "kugú"
    };
  }

  @Override
  public String dateFormatFull() {
    return "EEEE d MMMM y";
  }

  @Override
  public String dateFormatLong() {
    return "d MMMM y";
  }

  @Override
  public String dateFormatMedium() {
    return "d MMM y";
  }

  @Override
  public String dateFormatShort() {
    return "d/M/yyyy";
  }

  @Override
  public String[] erasFull() {
    return new String[] {
        "Bó Lahlɛ̄",
        "Pfiɛ Burī"
    };
  }

  @Override
  public String[] erasShort() {
    return new String[] {
        "BL",
        "PB"
    };
  }

  @Override
  public String formatMinuteSecond() {
    return "m:ss";
  }

  @Override
  public String formatMonthAbbrevDay() {
    return "d MMM";
  }

  @Override
  public String formatMonthFullDay() {
    return "d MMMM";
  }

  @Override
  public String formatMonthFullWeekdayDay() {
    return "EEEE d MMMM";
  }

  @Override
  public String formatMonthNumDay() {
    return "d/M";
  }

  @Override
  public String formatYearMonthAbbrev() {
    return "MMM y";
  }

  @Override
  public String formatYearMonthAbbrevDay() {
    return "d MMM y";
  }

  @Override
  public String formatYearMonthFull() {
    return "MMMM y";
  }

  @Override
  public String formatYearMonthFullDay() {
    return "d MMMM y";
  }

  @Override
  public String formatYearMonthNum() {
    return "M/y";
  }

  @Override
  public String formatYearMonthNumDay() {
    return "d/M/y";
  }

  @Override
  public String formatYearMonthWeekdayDay() {
    return "EEE d MMM y";
  }

  @Override
  public String formatYearQuarterFull() {
    return "QQQQ y";
  }

  @Override
  public String formatYearQuarterShort() {
    return "Q y";
  }

  @Override
  public String[] monthsFull() {
    return new String[] {
        "ngwɛn matáhra",
        "ngwɛn ńmba",
        "ngwɛn ńlal",
        "ngwɛn ńna",
        "ngwɛn ńtan",
        "ngwɛn ńtuó",
        "ngwɛn hɛmbuɛrí",
        "ngwɛn lɔmbi",
        "ngwɛn rɛbvuâ",
        "ngwɛn wum",
        "ngwɛn wum navŭr",
        "krísimin"
    };
  }

  @Override
  public String[] monthsNarrow() {
    return new String[] {
        "1",
        "2",
        "3",
        "4",
        "5",
        "6",
        "7",
        "8",
        "9",
        "10",
        "11",
        "12"
    };
  }

  @Override
  public String[] monthsShort() {
    return new String[] {
        "ng1",
        "ng2",
        "ng3",
        "ng4",
        "ng5",
        "ng6",
        "ng7",
        "ng8",
        "ng9",
        "ng10",
        "ng11",
        "kris"
    };
  }

  @Override
  public String[] quartersFull() {
    return new String[] {
        "Tindɛ nvúr",
        "Tindɛ ńmba",
        "Tindɛ ńlal",
        "Tindɛ ńna"
    };
  }

  @Override
  public String[] quartersShort() {
    return new String[] {
        "T1",
        "T2",
        "T3",
        "T4"
    };
  }

  @Override
  public String[] weekdaysFull() {
    return new String[] {
        "sɔ́ndɔ",
        "mɔ́ndɔ",
        "sɔ́ndɔ mafú mába",
        "sɔ́ndɔ mafú málal",
        "sɔ́ndɔ mafú mána",
        "mabágá má sukul",
        "sásadi"
    };
  }

  @Override
  public String[] weekdaysNarrow() {
    return new String[] {
        "s",
        "m",
        "s",
        "s",
        "s",
        "m",
        "s"
    };
  }

  @Override
  public String[] weekdaysShort() {
    return new String[] {
        "sɔ́n",
        "mɔ́n",
        "smb",
        "sml",
        "smn",
        "mbs",
        "sas"
    };
  }
}
