/*
 * Copyright 2012 Google Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.google.gwt.i18n.client.impl.cldr;

// DO NOT EDIT - GENERATED FROM CLDR AND ICU DATA
//  cldrVersion=21.0
//  number=$Revision: 6546 $
//  type=root
//  date=$Date: 2012-02-07 13:32:35 -0500 (Tue, 07 Feb 2012) $

/**
 * Implementation of DateTimeFormatInfo for the "pa" locale.
 */
public class DateTimeFormatInfoImpl_pa extends DateTimeFormatInfoImpl {

  @Override
  public String[] ampms() {
    return new String[] {
        "ਪੂਰਵ ਦੁਪਹਿਰ",
        "ਬਾਅਦ ਦੁਪਹਿਰ"
    };
  }

  @Override
  public String dateFormatFull() {
    return "EEEE, dd MMMM y";
  }

  @Override
  public String dateFormatLong() {
    return "d MMMM y";
  }

  @Override
  public String dateFormatMedium() {
    return "d MMM y";
  }

  @Override
  public String dateFormatShort() {
    return "dd/MM/yyyy";
  }

  @Override
  public String[] erasFull() {
    return new String[] {
        "ਈ. ਪੂ.",
        "ਸਾਲ"
    };
  }

  @Override
  public String[] erasShort() {
    return new String[] {
        "ਈ. ਪੂ.",
        "ਸਾਲ"
    };
  }

  @Override
  public String formatMonthNumDay() {
    return "d/M";
  }

  @Override
  public String formatYearMonthAbbrev() {
    return "MMM y";
  }

  @Override
  public String formatYearMonthFull() {
    return "MMMM y";
  }

  @Override
  public String formatYearMonthFullDay() {
    return "d MMMM y";
  }

  @Override
  public String formatYearQuarterFull() {
    return "QQQQ y";
  }

  @Override
  public String formatYearQuarterShort() {
    return "Q y";
  }

  @Override
  public String[] monthsFull() {
    return new String[] {
        "ਜਨਵਰੀ",
        "ਫ਼ਰਵਰੀ",
        "ਮਾਰਚ",
        "ਅਪ੍ਰੈਲ",
        "ਮਈ",
        "ਜੂਨ",
        "ਜੁਲਾਈ",
        "ਅਗਸਤ",
        "ਸਤੰਬਰ",
        "ਅਕਤੂਬਰ",
        "ਨਵੰਬਰ",
        "ਦਸੰਬਰ"
    };
  }

  @Override
  public String[] monthsNarrow() {
    return new String[] {
        "ਜ",
        "ਫ",
        "ਮਾ",
        "ਅ",
        "ਮ",
        "ਜੂ",
        "ਜੁ",
        "ਅ",
        "ਸ",
        "ਅ",
        "ਨ",
        "ਦ"
    };
  }

  @Override
  public String[] monthsShort() {
    return new String[] {
        "ਜਨਵਰੀ",
        "ਫ਼ਰਵਰੀ",
        "ਮਾਰਚ",
        "ਅਪ੍ਰੈਲ",
        "ਮਈ",
        "ਜੂਨ",
        "ਜੁਲਾਈ",
        "ਅਗਸਤ",
        "ਸਤੰਬਰ",
        "ਅਕਤੂਬਰ",
        "ਨਵੰਬਰ",
        "ਦਸੰਬਰ"
    };
  }

  @Override
  public String[] quartersFull() {
    return new String[] {
        "ਇਕ ਚੌਥਾਈ",
        "ਅੱਧਾ",
        "ਪੌਣਾ",
        "ਪੂਰਾ"
    };
  }

  @Override
  public String[] quartersShort() {
    return new String[] {
        "ਇਕ ਚੌਥਾਈ",
        "ਅੱਧਾ",
        "ਪੌਣਾ",
        "ਪੂਰਾ"
    };
  }

  @Override
  public String timeFormatFull() {
    return "h:mm:ss a zzzz";
  }

  @Override
  public String timeFormatLong() {
    return "h:mm:ss a z";
  }

  @Override
  public String timeFormatMedium() {
    return "h:mm:ss a";
  }

  @Override
  public String timeFormatShort() {
    return "h:mm a";
  }

  @Override
  public String[] weekdaysFull() {
    return new String[] {
        "ਐਤਵਾਰ",
        "ਸੋਮਵਾਰ",
        "ਮੰਗਲਵਾਰ",
        "ਬੁਧਵਾਰ",
        "ਵੀਰਵਾਰ",
        "ਸ਼ੁੱਕਰਵਾਰ",
        "ਸ਼ਨੀਚਰਵਾਰ"
    };
  }

  @Override
  public String[] weekdaysNarrow() {
    return new String[] {
        "ਐ",
        "ਸੋ",
        "ਮੰ",
        "ਬੁੱ",
        "ਵੀ",
        "ਸ਼ੁੱ",
        "ਸ਼"
    };
  }

  @Override
  public String[] weekdaysShort() {
    return new String[] {
        "ਐਤ.",
        "ਸੋਮ.",
        "ਮੰਗਲ.",
        "ਬੁਧ.",
        "ਵੀਰ.",
        "ਸ਼ੁਕਰ.",
        "ਸ਼ਨੀ."
    };
  }
}
