/*
 * Copyright 2012 Google Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.google.gwt.i18n.client.impl.cldr;

// DO NOT EDIT - GENERATED FROM CLDR AND ICU DATA
//  cldrVersion=21.0
//  number=$Revision: 6546 $
//  type=root
//  date=$Date: 2012-02-07 13:32:35 -0500 (Tue, 07 Feb 2012) $

/**
 * Implementation of DateTimeFormatInfo for the "rof" locale.
 */
public class DateTimeFormatInfoImpl_rof extends DateTimeFormatInfoImpl {

  @Override
  public String[] ampms() {
    return new String[] {
        "kang'ama",
        "kingoto"
    };
  }

  @Override
  public String dateFormatFull() {
    return "EEEE, d MMMM y";
  }

  @Override
  public String dateFormatLong() {
    return "d MMMM y";
  }

  @Override
  public String dateFormatMedium() {
    return "d MMM y";
  }

  @Override
  public String dateFormatShort() {
    return "dd/MM/yyyy";
  }

  @Override
  public String[] erasFull() {
    return new String[] {
        "Kabla ya Mayesu",
        "Baada ya Mayesu"
    };
  }

  @Override
  public String[] erasShort() {
    return new String[] {
        "KM",
        "BM"
    };
  }

  @Override
  public String formatMonthFullWeekdayDay() {
    return "EEEE, MMMM d";
  }

  @Override
  public String formatMonthNumDay() {
    return "M/d";
  }

  @Override
  public String formatYearMonthAbbrev() {
    return "MMM y";
  }

  @Override
  public String formatYearMonthFull() {
    return "MMMM y";
  }

  @Override
  public String formatYearMonthFullDay() {
    return "d MMMM y";
  }

  @Override
  public String formatYearMonthNum() {
    return "M/y";
  }

  @Override
  public String formatYearMonthWeekdayDay() {
    return "EEE, MMM d, y";
  }

  @Override
  public String formatYearQuarterFull() {
    return "QQQQ y";
  }

  @Override
  public String formatYearQuarterShort() {
    return "Q y";
  }

  @Override
  public String[] monthsFull() {
    return new String[] {
        "Mweri wa kwanza",
        "Mweri wa kaili",
        "Mweri wa katatu",
        "Mweri wa kaana",
        "Mweri wa tanu",
        "Mweri wa sita",
        "Mweri wa saba",
        "Mweri wa nane",
        "Mweri wa tisa",
        "Mweri wa ikumi",
        "Mweri wa ikumi na moja",
        "Mweri wa ikumi na mbili"
    };
  }

  @Override
  public String[] monthsNarrow() {
    return new String[] {
        "K",
        "K",
        "K",
        "K",
        "T",
        "S",
        "S",
        "N",
        "T",
        "I",
        "I",
        "I"
    };
  }

  @Override
  public String[] monthsShort() {
    return new String[] {
        "M1",
        "M2",
        "M3",
        "M4",
        "M5",
        "M6",
        "M7",
        "M8",
        "M9",
        "M10",
        "M11",
        "M12"
    };
  }

  @Override
  public String[] quartersFull() {
    return new String[] {
        "Robo ya kwanza",
        "Robo ya kaili",
        "Robo ya katatu",
        "Robo ya kaana"
    };
  }

  @Override
  public String[] quartersShort() {
    return new String[] {
        "R1",
        "R2",
        "R3",
        "R4"
    };
  }

  @Override
  public String timeFormatFull() {
    return "h:mm:ss a zzzz";
  }

  @Override
  public String timeFormatLong() {
    return "h:mm:ss a z";
  }

  @Override
  public String timeFormatMedium() {
    return "h:mm:ss a";
  }

  @Override
  public String timeFormatShort() {
    return "h:mm a";
  }

  @Override
  public String[] weekdaysFull() {
    return new String[] {
        "Ijumapili",
        "Ijumatatu",
        "Ijumanne",
        "Ijumatano",
        "Alhamisi",
        "Ijumaa",
        "Ijumamosi"
    };
  }

  @Override
  public String[] weekdaysNarrow() {
    return new String[] {
        "2",
        "3",
        "4",
        "5",
        "6",
        "7",
        "1"
    };
  }

  @Override
  public String[] weekdaysShort() {
    return new String[] {
        "Ijp",
        "Ijt",
        "Ijn",
        "Ijtn",
        "Alh",
        "Iju",
        "Ijm"
    };
  }
}
