/*
 * Copyright 2012 Google Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.google.gwt.i18n.client.impl.cldr;

// DO NOT EDIT - GENERATED FROM CLDR AND ICU DATA
//  cldrVersion=21.0
//  number=$Revision: 6546 $
//  date=$Date: 2012-02-07 13:32:35 -0500 (Tue, 07 Feb 2012) $
//  type=root

/**
 * Implementation of DateTimeFormatInfo for the "sg" locale.
 */
public class DateTimeFormatInfoImpl_sg extends DateTimeFormatInfoImpl {

  @Override
  public String[] ampms() {
    return new String[] {
        "ND",
        "LK"
    };
  }

  @Override
  public String dateFormatFull() {
    return "EEEE d MMMM y";
  }

  @Override
  public String dateFormatLong() {
    return "d MMMM y";
  }

  @Override
  public String dateFormatMedium() {
    return "d MMM, y";
  }

  @Override
  public String dateFormatShort() {
    return "d/M/yyyy";
  }

  @Override
  public String[] erasFull() {
    return new String[] {
        "Kôzo na Krîstu",
        "Na pekô tî Krîstu"
    };
  }

  @Override
  public String[] erasShort() {
    return new String[] {
        "KnK",
        "NpK"
    };
  }

  @Override
  public String formatMinuteSecond() {
    return "m:ss";
  }

  @Override
  public String formatMonthAbbrev() {
    return "MMM";
  }

  @Override
  public String formatMonthAbbrevDay() {
    return "d MMM";
  }

  @Override
  public String formatMonthFull() {
    return "MMMM";
  }

  @Override
  public String formatMonthFullDay() {
    return "d MMMM";
  }

  @Override
  public String formatMonthFullWeekdayDay() {
    return "EEEE d MMMM";
  }

  @Override
  public String formatMonthNumDay() {
    return "d/M";
  }

  @Override
  public String formatYearMonthAbbrev() {
    return "MMM y";
  }

  @Override
  public String formatYearMonthFull() {
    return "MMMM y";
  }

  @Override
  public String formatYearMonthFullDay() {
    return "d MMMM y";
  }

  @Override
  public String formatYearMonthNum() {
    return "M/y";
  }

  @Override
  public String formatYearMonthWeekdayDay() {
    return "EEE d MMM y";
  }

  @Override
  public String formatYearQuarterFull() {
    return "'F'QQQQ y";
  }

  @Override
  public String formatYearQuarterShort() {
    return "'F'Q y";
  }

  @Override
  public String[] monthsFull() {
    return new String[] {
        "Nyenye",
        "Fulundïgi",
        "Mbängü",
        "Ngubùe",
        "Bêläwü",
        "Föndo",
        "Lengua",
        "Kükürü",
        "Mvuka",
        "Ngberere",
        "Nabändüru",
        "Kakauka"
    };
  }

  @Override
  public String[] monthsNarrow() {
    return new String[] {
        "N",
        "F",
        "M",
        "N",
        "B",
        "F",
        "L",
        "K",
        "M",
        "N",
        "N",
        "K"
    };
  }

  @Override
  public String[] monthsShort() {
    return new String[] {
        "Nye",
        "Ful",
        "Mbä",
        "Ngu",
        "Bêl",
        "Fön",
        "Len",
        "Kük",
        "Mvu",
        "Ngb",
        "Nab",
        "Kak"
    };
  }

  @Override
  public String[] quartersFull() {
    return new String[] {
        "Fângbisïö ôko",
        "Fângbisïö ûse",
        "Fângbisïö otâ",
        "Fângbisïö usïö"
    };
  }

  @Override
  public String[] quartersShort() {
    return new String[] {
        "F4-1",
        "F4-2",
        "F4-3",
        "F4-4"
    };
  }

  @Override
  public String[] weekdaysFull() {
    return new String[] {
        "Bikua-ôko",
        "Bïkua-ûse",
        "Bïkua-ptâ",
        "Bïkua-usïö",
        "Bïkua-okü",
        "Lâpôsö",
        "Lâyenga"
    };
  }

  @Override
  public String[] weekdaysNarrow() {
    return new String[] {
        "K",
        "S",
        "T",
        "S",
        "K",
        "P",
        "Y"
    };
  }

  @Override
  public String[] weekdaysShort() {
    return new String[] {
        "Bk1",
        "Bk2",
        "Bk3",
        "Bk4",
        "Bk5",
        "Lâp",
        "Lây"
    };
  }
}
