/*
 * Copyright 2012 Google Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.google.gwt.i18n.client.impl.cldr;

// DO NOT EDIT - GENERATED FROM CLDR AND ICU DATA
//  cldrVersion=21.0
//  number=$Revision: 6546 $
//  type=root
//  date=$Date: 2012-02-07 13:32:35 -0500 (Tue, 07 Feb 2012) $

/**
 * Implementation of DateTimeFormatInfo for the "swc" locale.
 */
public class DateTimeFormatInfoImpl_swc extends DateTimeFormatInfoImpl {

  @Override
  public String[] ampms() {
    return new String[] {
        "ya asubuyi",
        "ya muchana"
    };
  }

  @Override
  public String dateFormatFull() {
    return "EEEE d MMMM y";
  }

  @Override
  public String dateFormatLong() {
    return "d MMMM y";
  }

  @Override
  public String dateFormatMedium() {
    return "d MMM y";
  }

  @Override
  public String dateFormatShort() {
    return "d/M/yyyy";
  }

  @Override
  public String[] erasFull() {
    return new String[] {
        "mbele ya Yezu Kristo",
        "kisha ya Yezu Kristo"
    };
  }

  @Override
  public String[] erasShort() {
    return new String[] {
        "mbele ya Y",
        "kisha ya Y"
    };
  }

  @Override
  public String formatMinuteSecond() {
    return "m:ss";
  }

  @Override
  public String formatMonthAbbrevDay() {
    return "d MMM";
  }

  @Override
  public String formatMonthFullDay() {
    return "d MMMM";
  }

  @Override
  public String formatMonthFullWeekdayDay() {
    return "EEEE d MMMM";
  }

  @Override
  public String formatMonthNumDay() {
    return "d/M";
  }

  @Override
  public String formatYearMonthAbbrev() {
    return "MMM y";
  }

  @Override
  public String formatYearMonthAbbrevDay() {
    return "d MMM y";
  }

  @Override
  public String formatYearMonthFull() {
    return "MMMM y";
  }

  @Override
  public String formatYearMonthFullDay() {
    return "d MMMM y";
  }

  @Override
  public String formatYearMonthNum() {
    return "M/y";
  }

  @Override
  public String formatYearMonthNumDay() {
    return "d/M/y";
  }

  @Override
  public String formatYearMonthWeekdayDay() {
    return "EEE d MMM y";
  }

  @Override
  public String formatYearQuarterFull() {
    return "QQQQ y";
  }

  @Override
  public String formatYearQuarterShort() {
    return "Q y";
  }

  @Override
  public String[] monthsFull() {
    return new String[] {
        "mwezi ya kwanja",
        "mwezi ya pili",
        "mwezi ya tatu",
        "mwezi ya ine",
        "mwezi ya tanu",
        "mwezi ya sita",
        "mwezi ya saba",
        "mwezi ya munane",
        "mwezi ya tisa",
        "mwezi ya kumi",
        "mwezi ya kumi na moya",
        "mwezi ya kumi ya mbili"
    };
  }

  @Override
  public String[] monthsNarrow() {
    return new String[] {
        "k",
        "p",
        "t",
        "i",
        "t",
        "s",
        "s",
        "m",
        "t",
        "k",
        "m",
        "m"
    };
  }

  @Override
  public String[] monthsShort() {
    return new String[] {
        "mkw",
        "mpi",
        "mtu",
        "min",
        "mtn",
        "mst",
        "msb",
        "mun",
        "mts",
        "mku",
        "mkm",
        "mkb"
    };
  }

  @Override
  public String[] quartersFull() {
    return new String[] {
        "Robo 1",
        "Robo 2",
        "Robo 3",
        "Robo 4"
    };
  }

  @Override
  public String[] quartersShort() {
    return new String[] {
        "R1",
        "R2",
        "R3",
        "R4"
    };
  }

  @Override
  public String[] weekdaysFull() {
    return new String[] {
        "siku ya yenga",
        "siku ya kwanza",
        "siku ya pili",
        "siku ya tatu",
        "siku ya ine",
        "siku ya tanu",
        "siku ya sita"
    };
  }

  @Override
  public String[] weekdaysNarrow() {
    return new String[] {
        "y",
        "k",
        "p",
        "t",
        "i",
        "t",
        "s"
    };
  }

  @Override
  public String[] weekdaysShort() {
    return new String[] {
        "yen",
        "kwa",
        "pil",
        "tat",
        "ine",
        "tan",
        "sit"
    };
  }
}
