/*
 * Copyright 2012 Google Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.google.gwt.i18n.client.impl.cldr;

// DO NOT EDIT - GENERATED FROM CLDR AND ICU DATA
//  cldrVersion=21.0
//  number=$Revision: 6546 $
//  date=$Date: 2012-02-07 13:32:35 -0500 (Tue, 07 Feb 2012) $
//  type=root

/**
 * Implementation of DateTimeFormatInfo for the "teo" locale.
 */
public class DateTimeFormatInfoImpl_teo extends DateTimeFormatInfoImpl {

  @Override
  public String[] ampms() {
    return new String[] {
        "Taparachu",
        "Ebongi"
    };
  }

  @Override
  public String dateFormatFull() {
    return "EEEE, d MMMM y";
  }

  @Override
  public String dateFormatLong() {
    return "d MMMM y";
  }

  @Override
  public String dateFormatMedium() {
    return "d MMM y";
  }

  @Override
  public String dateFormatShort() {
    return "dd/MM/yyyy";
  }

  @Override
  public String[] erasFull() {
    return new String[] {
        "Kabla ya Christo",
        "Baada ya Christo"
    };
  }

  @Override
  public String[] erasShort() {
    return new String[] {
        "KK",
        "BK"
    };
  }

  @Override
  public String formatMonthFullWeekdayDay() {
    return "EEEE, MMMM d";
  }

  @Override
  public String formatMonthNumDay() {
    return "M/d";
  }

  @Override
  public String formatYearMonthAbbrev() {
    return "MMM y";
  }

  @Override
  public String formatYearMonthFull() {
    return "MMMM y";
  }

  @Override
  public String formatYearMonthFullDay() {
    return "d MMMM y";
  }

  @Override
  public String formatYearMonthNum() {
    return "M/y";
  }

  @Override
  public String formatYearMonthWeekdayDay() {
    return "EEE, MMM d, y";
  }

  @Override
  public String formatYearQuarterFull() {
    return "QQQQ y";
  }

  @Override
  public String formatYearQuarterShort() {
    return "Q y";
  }

  @Override
  public String[] monthsFull() {
    return new String[] {
        "Orara",
        "Omuk",
        "Okwamg'",
        "Odung'el",
        "Omaruk",
        "Omodok'king'ol",
        "Ojola",
        "Opedel",
        "Osokosokoma",
        "Otibar",
        "Olabor",
        "Opoo"
    };
  }

  @Override
  public String[] monthsNarrow() {
    return new String[] {
        "R",
        "M",
        "K",
        "D",
        "M",
        "M",
        "J",
        "P",
        "S",
        "T",
        "L",
        "P"
    };
  }

  @Override
  public String[] monthsShort() {
    return new String[] {
        "Rar",
        "Muk",
        "Kwa",
        "Dun",
        "Mar",
        "Mod",
        "Jol",
        "Ped",
        "Sok",
        "Tib",
        "Lab",
        "Poo"
    };
  }

  @Override
  public String[] quartersFull() {
    return new String[] {
        "Akwota abe",
        "Akwota Aane",
        "Akwota auni",
        "Akwota Aung'on"
    };
  }

  @Override
  public String[] quartersShort() {
    return new String[] {
        "K1",
        "K2",
        "K3",
        "K4"
    };
  }

  @Override
  public String timeFormatFull() {
    return "h:mm:ss a zzzz";
  }

  @Override
  public String timeFormatLong() {
    return "h:mm:ss a z";
  }

  @Override
  public String timeFormatMedium() {
    return "h:mm:ss a";
  }

  @Override
  public String timeFormatShort() {
    return "h:mm a";
  }

  @Override
  public String[] weekdaysFull() {
    return new String[] {
        "Nakaejuma",
        "Nakaebarasa",
        "Nakaare",
        "Nakauni",
        "Nakaung'on",
        "Nakakany",
        "Nakasabiti"
    };
  }

  @Override
  public String[] weekdaysNarrow() {
    return new String[] {
        "J",
        "B",
        "A",
        "U",
        "U",
        "K",
        "S"
    };
  }

  @Override
  public String[] weekdaysShort() {
    return new String[] {
        "Jum",
        "Bar",
        "Aar",
        "Uni",
        "Ung",
        "Kan",
        "Sab"
    };
  }
}
