/*
 * Copyright 2012 Google Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.google.gwt.i18n.client.impl.cldr;

// DO NOT EDIT - GENERATED FROM CLDR AND ICU DATA
//  cldrVersion=21.0
//  number=$Revision: 6546 $
//  date=$Date: 2012-02-07 13:32:35 -0500 (Tue, 07 Feb 2012) $
//  type=root

/**
 * Implementation of DateTimeFormatInfo for the "ti" locale.
 */
public class DateTimeFormatInfoImpl_ti extends DateTimeFormatInfoImpl {

  @Override
  public String[] ampms() {
    return new String[] {
        "ንጉሆ ሰዓተ",
        "ድሕር ሰዓት"
    };
  }

  @Override
  public String dateFormatFull() {
    return "EEEE፣ dd MMMM መዓልቲ y G";
  }

  @Override
  public String dateFormatLong() {
    return "dd MMMM y";
  }

  @Override
  public String dateFormatMedium() {
    return "dd-MMM-y";
  }

  @Override
  public String dateFormatShort() {
    return "dd/MM/yy";
  }

  @Override
  public String[] erasFull() {
    return new String[] {
        "ዓ/ዓ",
        "ዓ/ም"
    };
  }

  @Override
  public String[] erasShort() {
    return new String[] {
        "ዓ/ዓ",
        "ዓ/ም"
    };
  }

  @Override
  public int firstDayOfTheWeek() {
    return 0;
  }

  @Override
  public String formatMonthFullDay() {
    return "d MMMM";
  }

  @Override
  public String formatMonthNumDay() {
    return "d/M";
  }

  @Override
  public String formatYearMonthFullDay() {
    return "d MMMM y";
  }

  @Override
  public String formatYearMonthNum() {
    return "M/y";
  }

  @Override
  public String formatYearQuarterFull() {
    return "QQQQ y";
  }

  @Override
  public String formatYearQuarterShort() {
    return "Q y";
  }

  @Override
  public String[] monthsFull() {
    return new String[] {
        "ጃንዩወሪ",
        "ፌብሩወሪ",
        "ማርች",
        "ኤፕረል",
        "ሜይ",
        "ጁን",
        "ጁላይ",
        "ኦገስት",
        "ሴፕቴምበር",
        "ኦክተውበር",
        "ኖቬምበር",
        "ዲሴምበር"
    };
  }

  @Override
  public String[] monthsNarrow() {
    return new String[] {
        "ጃ",
        "ፌ",
        "ማ",
        "ኤ",
        "ሜ",
        "ጁ",
        "ጁ",
        "ኦ",
        "ሴ",
        "ኦ",
        "ኖ",
        "ዲ"
    };
  }

  @Override
  public String[] monthsShort() {
    return new String[] {
        "ጃንዩ",
        "ፌብሩ",
        "ማርች",
        "ኤፕረ",
        "ሜይ",
        "ጁን",
        "ጁላይ",
        "ኦገስ",
        "ሴፕቴ",
        "ኦክተ",
        "ኖቬም",
        "ዲሴም"
    };
  }

  @Override
  public String[] quartersFull() {
    return new String[] {
        "Q1",
        "Q2",
        "Q3",
        "Q4"
    };
  }

  @Override
  public String timeFormatFull() {
    return "h:mm:ss a zzzz";
  }

  @Override
  public String timeFormatLong() {
    return "h:mm:ss a z";
  }

  @Override
  public String timeFormatMedium() {
    return "h:mm:ss a";
  }

  @Override
  public String timeFormatShort() {
    return "h:mm a";
  }

  @Override
  public String[] weekdaysFull() {
    return new String[] {
        "ሰንበት",
        "ሰኑይ",
        "ሠሉስ",
        "ረቡዕ",
        "ኃሙስ",
        "ዓርቢ",
        "ቀዳም"
    };
  }

  @Override
  public String[] weekdaysNarrow() {
    return new String[] {
        "ሰ",
        "ሰ",
        "ሠ",
        "ረ",
        "ኃ",
        "ዓ",
        "ቀ"
    };
  }

  @Override
  public String[] weekdaysShort() {
    return new String[] {
        "ሰንበት",
        "ሰኑይ",
        "ሠሉስ",
        "ረቡዕ",
        "ኃሙስ",
        "ዓርቢ",
        "ቀዳም"
    };
  }
}
