/*
 * Copyright 2012 Google Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.google.gwt.i18n.client.impl.cldr;

// DO NOT EDIT - GENERATED FROM CLDR AND ICU DATA
//  cldrVersion=21.0
//  number=$Revision: 6546 Google $
//  date=$Date: 2012-02-07 13:32:35 -0500 (Tue, 07 Feb 2012) $
//  type=root

/**
 * Implementation of DateTimeFormatInfo for the "tr" locale.
 */
public class DateTimeFormatInfoImpl_tr extends DateTimeFormatInfoImpl {

  @Override
  public String dateFormatFull() {
    return "d MMMM y EEEE";
  }

  @Override
  public String dateFormatLong() {
    return "d MMMM y";
  }

  @Override
  public String dateFormatMedium() {
    return "d MMM y";
  }

  @Override
  public String dateFormatShort() {
    return "dd MM yyyy";
  }

  @Override
  public String[] erasFull() {
    return new String[] {
        "Milattan Önce",
        "Milattan Sonra"
    };
  }

  @Override
  public String[] erasShort() {
    return new String[] {
        "MÖ",
        "MS"
    };
  }

  @Override
  public String formatMonthAbbrevDay() {
    return "d MMMM";
  }

  @Override
  public String formatMonthFullDay() {
    return "dd MMMM";
  }

  @Override
  public String formatMonthFullWeekdayDay() {
    return "dd MMMM EEEE";
  }

  @Override
  public String formatMonthNumDay() {
    return "dd/MM";
  }

  @Override
  public String formatYearMonthAbbrev() {
    return "MMM y";
  }

  @Override
  public String formatYearMonthAbbrevDay() {
    return "dd MMM y";
  }

  @Override
  public String formatYearMonthFull() {
    return "MMMM y";
  }

  @Override
  public String formatYearMonthFullDay() {
    return "d MMMM y";
  }

  @Override
  public String formatYearMonthNum() {
    return "MM/yy";
  }

  @Override
  public String formatYearMonthNumDay() {
    return "dd.MM.yyyy";
  }

  @Override
  public String formatYearMonthWeekdayDay() {
    return "d MMM y EEE";
  }

  @Override
  public String formatYearQuarterFull() {
    return "y-QQQQ";
  }

  @Override
  public String formatYearQuarterShort() {
    return "y-Q";
  }

  @Override
  public String[] monthsFull() {
    return new String[] {
        "Ocak",
        "Şubat",
        "Mart",
        "Nisan",
        "Mayıs",
        "Haziran",
        "Temmuz",
        "Ağustos",
        "Eylül",
        "Ekim",
        "Kasım",
        "Aralık"
    };
  }

  @Override
  public String[] monthsNarrow() {
    return new String[] {
        "O",
        "Ş",
        "M",
        "N",
        "M",
        "H",
        "T",
        "A",
        "E",
        "E",
        "K",
        "A"
    };
  }

  @Override
  public String[] monthsShort() {
    return new String[] {
        "Oca",
        "Şub",
        "Mar",
        "Nis",
        "May",
        "Haz",
        "Tem",
        "Ağu",
        "Eyl",
        "Eki",
        "Kas",
        "Ara"
    };
  }

  @Override
  public String[] quartersFull() {
    return new String[] {
        "1. çeyrek",
        "2. çeyrek",
        "3. çeyrek",
        "4. çeyrek"
    };
  }

  @Override
  public String[] quartersShort() {
    return new String[] {
        "Ç1",
        "Ç2",
        "Ç3",
        "Ç4"
    };
  }

  @Override
  public String[] weekdaysFull() {
    return new String[] {
        "Pazar",
        "Pazartesi",
        "Salı",
        "Çarşamba",
        "Perşembe",
        "Cuma",
        "Cumartesi"
    };
  }

  @Override
  public String[] weekdaysNarrow() {
    return new String[] {
        "P",
        "P",
        "S",
        "Ç",
        "P",
        "C",
        "C"
    };
  }

  @Override
  public String[] weekdaysShort() {
    return new String[] {
        "Paz",
        "Pzt",
        "Sal",
        "Çar",
        "Per",
        "Cum",
        "Cmt"
    };
  }
}
