/*
 * Copyright 2012 Google Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.google.gwt.i18n.client.impl.cldr;

// DO NOT EDIT - GENERATED FROM CLDR AND ICU DATA
//  cldrVersion=21.0
//  number=$Revision: 6546 $
//  type=trv
//  date=$Date: 2012-02-07 13:32:35 -0500 (Tue, 07 Feb 2012) $

/**
 * Implementation of DateTimeFormatInfo for the "trv" locale.
 */
public class DateTimeFormatInfoImpl_trv extends DateTimeFormatInfoImpl {

  @Override
  public String[] ampms() {
    return new String[] {
        "Brax kndaax",
        "Baubau kndaax"
    };
  }

  @Override
  public String[] erasFull() {
    return new String[] {
        "Brah jikan Yisu Thulang",
        "Bukuy jikan Yisu Thulang"
    };
  }

  @Override
  public String[] erasShort() {
    return new String[] {
        "BRY",
        "BUY"
    };
  }

  @Override
  public int firstDayOfTheWeek() {
    return 0;
  }

  @Override
  public String formatMonthFullWeekdayDay() {
    return "EEEE, MMMM d";
  }

  @Override
  public String formatMonthNumDay() {
    return "M/d";
  }

  @Override
  public String formatYearMonthAbbrev() {
    return "MMM y";
  }

  @Override
  public String formatYearMonthAbbrevDay() {
    return "MMM d, y";
  }

  @Override
  public String formatYearMonthFull() {
    return "MMMM y";
  }

  @Override
  public String formatYearMonthFullDay() {
    return "MMMM d, y";
  }

  @Override
  public String formatYearMonthNum() {
    return "M/y";
  }

  @Override
  public String formatYearMonthNumDay() {
    return "M/d/y";
  }

  @Override
  public String formatYearMonthWeekdayDay() {
    return "EEE, MMM d, y";
  }

  @Override
  public String formatYearQuarterFull() {
    return "QQQQ y";
  }

  @Override
  public String formatYearQuarterShort() {
    return "Q y";
  }

  @Override
  public String[] monthsFull() {
    return new String[] {
        "Kingal idas",
        "Dha idas",
        "Tru idas",
        "Spat idas",
        "Rima idas",
        "Mataru idas",
        "Empitu idas",
        "Maspat idas",
        "Mngari idas",
        "Maxal idas",
        "Maxal kingal idas",
        "Maxal dha idas"
    };
  }

  @Override
  public String[] monthsNarrow() {
    return new String[] {
        "K",
        "D",
        "T",
        "S",
        "R",
        "M",
        "E",
        "P",
        "A",
        "M",
        "K",
        "D"
    };
  }

  @Override
  public String[] monthsShort() {
    return new String[] {
        "Kii",
        "Dhi",
        "Tri",
        "Spi",
        "Rii",
        "Mti",
        "Emi",
        "Mai",
        "Mni",
        "Mxi",
        "Mxk",
        "Mxd"
    };
  }

  @Override
  public String[] quartersFull() {
    return new String[] {
        "mnprxan",
        "mndha",
        "mntru",
        "mnspat"
    };
  }

  @Override
  public String[] quartersShort() {
    return new String[] {
        "mn1",
        "mn2",
        "mn3",
        "mn4"
    };
  }

  @Override
  public String[] weekdaysFull() {
    return new String[] {
        "Jiyax sngayan",
        "tgKingal jiyax iyax sngayan",
        "tgDha jiyax iyax sngayan",
        "tgTru jiyax iyax sngayan",
        "tgSpac jiyax iyax sngayan",
        "tgRima jiyax iyax sngayan",
        "tgMataru jiyax iyax sngayan"
    };
  }

  @Override
  public String[] weekdaysNarrow() {
    return new String[] {
        "E",
        "K",
        "D",
        "T",
        "S",
        "R",
        "M"
    };
  }

  @Override
  public String[] weekdaysShort() {
    return new String[] {
        "Emp",
        "Kin",
        "Dha",
        "Tru",
        "Spa",
        "Rim",
        "Mat"
    };
  }
}
