/*
 * Copyright 2012 Google Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.google.gwt.i18n.shared.impl.cldr;

// DO NOT EDIT - GENERATED FROM CLDR AND ICU DATA
//  cldrVersion=21.0
//  number=$Revision: 6546 $
//  date=$Date: 2012-02-07 13:32:35 -0500 (Tue, 07 Feb 2012) $
//  type=root

/**
 * Implementation of DateTimeFormatInfo for the "bas" locale.
 */
public class DateTimeFormatInfoImpl_bas extends DateTimeFormatInfoImpl {

  @Override
  public String[] ampms() {
    return new String[] {
        "I bikɛ̂glà",
        "I ɓugajɔp"
    };
  }

  @Override
  public String dateFormatFull() {
    return "EEEE d MMMM y";
  }

  @Override
  public String dateFormatLong() {
    return "d MMMM y";
  }

  @Override
  public String dateFormatMedium() {
    return "d MMM, y";
  }

  @Override
  public String dateFormatShort() {
    return "d/M/yyyy";
  }

  @Override
  public String[] erasFull() {
    return new String[] {
        "bisū bi Yesù Krǐstò",
        "i mbūs Yesù Krǐstò"
    };
  }

  @Override
  public String[] erasShort() {
    return new String[] {
        "b.Y.K",
        "m.Y.K"
    };
  }

  @Override
  public String formatMinuteSecond() {
    return "m:ss";
  }

  @Override
  public String formatMonthAbbrevDay() {
    return "d MMM";
  }

  @Override
  public String formatMonthFullDay() {
    return "d MMMM";
  }

  @Override
  public String formatMonthFullWeekdayDay() {
    return "EEEE d MMMM";
  }

  @Override
  public String formatMonthNumDay() {
    return "d/M";
  }

  @Override
  public String formatYearMonthAbbrev() {
    return "MMM y";
  }

  @Override
  public String formatYearMonthAbbrevDay() {
    return "d MMM y";
  }

  @Override
  public String formatYearMonthFull() {
    return "MMMM y";
  }

  @Override
  public String formatYearMonthFullDay() {
    return "d MMMM y";
  }

  @Override
  public String formatYearMonthNum() {
    return "M/y";
  }

  @Override
  public String formatYearMonthNumDay() {
    return "d/M/y";
  }

  @Override
  public String formatYearMonthWeekdayDay() {
    return "EEE d MMM y";
  }

  @Override
  public String formatYearQuarterFull() {
    return "QQQQ y";
  }

  @Override
  public String formatYearQuarterShort() {
    return "Q y";
  }

  @Override
  public String[] monthsFull() {
    return new String[] {
        "Kɔndɔŋ",
        "Màcɛ̂l",
        "Màtùmb",
        "Màtop",
        "M̀puyɛ",
        "Hìlòndɛ̀",
        "Njèbà",
        "Hìkaŋ",
        "Dìpɔ̀s",
        "Bìòôm",
        "Màyɛsèp",
        "Lìbuy li ńyèe"
    };
  }

  @Override
  public String[] monthsNarrow() {
    return new String[] {
        "k",
        "m",
        "m",
        "m",
        "m",
        "h",
        "n",
        "h",
        "d",
        "b",
        "m",
        "l"
    };
  }

  @Override
  public String[] monthsShort() {
    return new String[] {
        "kɔn",
        "mac",
        "mat",
        "mto",
        "mpu",
        "hil",
        "nje",
        "hik",
        "dip",
        "bio",
        "may",
        "liɓ"
    };
  }

  @Override
  public String[] quartersFull() {
    return new String[] {
        "Kèk bisu i soŋ iaâ",
        "Kèk i ńyonos biɓaà i soŋ iaâ",
        "Kèk i ńyonos biaâ i soŋ iaâ",
        "Kèk i ńyonos binâ i soŋ iaâ"
    };
  }

  @Override
  public String[] quartersShort() {
    return new String[] {
        "K1s3",
        "K2s3",
        "K3s3",
        "K4s3"
    };
  }

  @Override
  public String[] weekdaysFull() {
    return new String[] {
        "ŋgwà nɔ̂y",
        "ŋgwà njaŋgumba",
        "ŋgwà ûm",
        "ŋgwà ŋgê",
        "ŋgwà mbɔk",
        "ŋgwà kɔɔ",
        "ŋgwà jôn"
    };
  }

  @Override
  public String[] weekdaysNarrow() {
    return new String[] {
        "n",
        "n",
        "u",
        "ŋ",
        "m",
        "k",
        "j"
    };
  }

  @Override
  public String[] weekdaysShort() {
    return new String[] {
        "nɔy",
        "nja",
        "uum",
        "ŋge",
        "mbɔ",
        "kɔɔ",
        "jon"
    };
  }
}
