/*
 * Copyright 2012 Google Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.google.gwt.i18n.shared.impl.cldr;

// DO NOT EDIT - GENERATED FROM CLDR AND ICU DATA
//  cldrVersion=21.0
//  number=$Revision: 6546 $
//  date=$Date: 2012-02-07 13:32:35 -0500 (Tue, 07 Feb 2012) $
//  type=root

/**
 * Implementation of DateTimeFormatInfo for the "dz" locale.
 */
public class DateTimeFormatInfoImpl_dz extends DateTimeFormatInfoImpl {

  @Override
  public String[] ampms() {
    return new String[] {
        "སྔ་ཆ་",
        "ཕྱི་ཆ་"
    };
  }

  @Override
  public String dateFormatFull() {
    return "སྤྱི་ལོ་y ཟླ་ MMMM ཚེས་ dd";
  }

  @Override
  public String dateFormatLong() {
    return "སྤྱི་ལོ་y ཟླ་ MMMM ཚེས་ dd";
  }

  @Override
  public String dateFormatMedium() {
    return "སྤྱི་ལོ་y ཟླ་ MMM ཚེས་ dd";
  }

  @Override
  public String[] erasFull() {
    return new String[] {
        "BCE",
        "CE"
    };
  }

  @Override
  public String[] erasShort() {
    return new String[] {
        "BCE",
        "CE"
    };
  }

  @Override
  public int firstDayOfTheWeek() {
    return 0;
  }

  @Override
  public String formatMonthFullWeekdayDay() {
    return "EEEE, MMMM d";
  }

  @Override
  public String formatMonthNumDay() {
    return "M/d";
  }

  @Override
  public String formatYearMonthAbbrev() {
    return "MMM y";
  }

  @Override
  public String formatYearMonthAbbrevDay() {
    return "MMM d, y";
  }

  @Override
  public String formatYearMonthFull() {
    return "MMMM y";
  }

  @Override
  public String formatYearMonthFullDay() {
    return "MMMM d, y";
  }

  @Override
  public String formatYearMonthNum() {
    return "M/y";
  }

  @Override
  public String formatYearMonthNumDay() {
    return "M/d/y";
  }

  @Override
  public String formatYearMonthWeekdayDay() {
    return "EEE, MMM d, y";
  }

  @Override
  public String formatYearQuarterFull() {
    return "QQQQ y";
  }

  @Override
  public String formatYearQuarterShort() {
    return "Q y";
  }

  @Override
  public String[] monthsFull() {
    return new String[] {
        "སྤྱི་ཟླཝ་དངཔ་",
        "སྤྱི་ཟླཝ་གཉིས་པ་",
        "སྤྱི་ཟླཝ་གསུམ་པ་",
        "སྤྱི་ཟླཝ་བཞི་པ་",
        "སྤྱི་ཟླཝ་ལྔ་པ་",
        "སྤྱི་ཟླཝ་དྲུག་པ་",
        "སྤྱི་ཟླཝ་བདུན་པ་",
        "སྤྱི་ཟླཝ་བརྒྱད་པ་",
        "སྤྱི་ཟླཝ་དགུ་པ་",
        "སྤྱི་ཟླཝ་བཅུ་པ་",
        "སྤྱི་ཟླཝ་བཅུ་གཅིག་པ་",
        "སྤྱི་ཟླཝ་བཅུ་གཉིས་པ་"
    };
  }

  @Override
  public String[] monthsNarrow() {
    return new String[] {
        "1",
        "2",
        "3",
        "4",
        "5",
        "6",
        "7",
        "8",
        "9",
        "10",
        "11",
        "12"
    };
  }

  @Override
  public String[] monthsShort() {
    return new String[] {
        "ཟླ་ ༡",
        "ཟླ་ ༢",
        "ཟླ་ ༣",
        "ཟླ་ ༤",
        "ཟླ་ ༥",
        "ཟླ་ ༦",
        "ཟླ་ ༧",
        "ཟླ་ ༨",
        "ཟླ་ ༩",
        "ཟླ་ ༡༠",
        "ཟླ་ ༡༡",
        "ཟླ་ ༡༢"
    };
  }

  @Override
  public String[] quartersFull() {
    return new String[] {
        "བཞི་དཔྱ་དང་པ་",
        "བཞི་དཔྱ་གཉིས་པ་",
        "བཞི་དཔྱ་གསུམ་པ་",
        "བཞི་དཔྱ་བཞི་པ་"
    };
  }

  @Override
  public String[] quartersShort() {
    return new String[] {
        "བཞི་དཔྱ་༡",
        "བཞི་དཔྱ་༢",
        "བཞི་དཔྱ་༣",
        "བཞི་དཔྱ་༤"
    };
  }

  @Override
  public String timeFormat() {
    return timeFormatLong();
  }

  @Override
  public String timeFormatFull() {
    return "ཆུ་ཚོད་ h སྐར་མ་ mm སྐར་ཆཱ་ ss a zzzz";
  }

  @Override
  public String timeFormatLong() {
    return "ཆུ་ཚོད་ h སྐར་མ་ mm སྐར་ཆཱ་ ss a z";
  }

  @Override
  public String timeFormatMedium() {
    return "ཆུ་ཚོད་h:mm:ss a";
  }

  @Override
  public String timeFormatShort() {
    return "ཆུ་ཚོད་ h སྐར་མ་ mm a";
  }

  @Override
  public String[] weekdaysFull() {
    return new String[] {
        "གཟའ་ཟླ་བ་",
        "གཟའ་མིག་དམར་",
        "གཟའ་ལྷག་པ་",
        "གཟའ་ཕུར་བུ་",
        "གཟའ་པ་སངས་",
        "གཟའ་སྤེན་པ་",
        "གཟའ་ཉི་མ་"
    };
  }

  @Override
  public String[] weekdaysNarrow() {
    return new String[] {
        "1",
        "2",
        "3",
        "4",
        "5",
        "6",
        "7"
    };
  }

  @Override
  public String[] weekdaysShort() {
    return new String[] {
        "ཟླ་",
        "མིར་",
        "ལྷག་",
        "ཕུར་",
        "སངས་",
        "སྤེན་",
        "ཉི་"
    };
  }
}
