/*
 * Copyright 2012 Google Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.google.gwt.i18n.shared.impl.cldr;

// DO NOT EDIT - GENERATED FROM CLDR AND ICU DATA
//  cldrVersion=21.0
//  number=$Revision: 6546 $
//  type=root
//  date=$Date: 2012-02-07 13:32:35 -0500 (Tue, 07 Feb 2012) $

/**
 * Implementation of DateTimeFormatInfo for the "ewo" locale.
 */
public class DateTimeFormatInfoImpl_ewo extends DateTimeFormatInfoImpl {

  @Override
  public String[] ampms() {
    return new String[] {
        "kíkíríg",
        "ngǝgógǝle"
    };
  }

  @Override
  public String dateFormatFull() {
    return "EEEE d MMMM y";
  }

  @Override
  public String dateFormatLong() {
    return "d MMMM y";
  }

  @Override
  public String dateFormatMedium() {
    return "d MMM y";
  }

  @Override
  public String dateFormatShort() {
    return "d/M/yyyy";
  }

  @Override
  public String[] erasFull() {
    return new String[] {
        "osúsúa Yésus kiri",
        "ámvus Yésus Kirís"
    };
  }

  @Override
  public String[] erasShort() {
    return new String[] {
        "oyk",
        "ayk"
    };
  }

  @Override
  public String formatMinuteSecond() {
    return "m:ss";
  }

  @Override
  public String formatMonthAbbrevDay() {
    return "d MMM";
  }

  @Override
  public String formatMonthFullDay() {
    return "d MMMM";
  }

  @Override
  public String formatMonthFullWeekdayDay() {
    return "EEEE d MMMM";
  }

  @Override
  public String formatMonthNumDay() {
    return "d/M";
  }

  @Override
  public String formatYearMonthAbbrev() {
    return "MMM y";
  }

  @Override
  public String formatYearMonthAbbrevDay() {
    return "d MMM y";
  }

  @Override
  public String formatYearMonthFull() {
    return "MMMM y";
  }

  @Override
  public String formatYearMonthFullDay() {
    return "d MMMM y";
  }

  @Override
  public String formatYearMonthNum() {
    return "M/y";
  }

  @Override
  public String formatYearMonthNumDay() {
    return "d/M/y";
  }

  @Override
  public String formatYearMonthWeekdayDay() {
    return "EEE d MMM y";
  }

  @Override
  public String formatYearQuarterFull() {
    return "QQQQ y";
  }

  @Override
  public String formatYearQuarterShort() {
    return "Q y";
  }

  @Override
  public String[] monthsFull() {
    return new String[] {
        "ngɔn osú",
        "ngɔn bɛ̌",
        "ngɔn lála",
        "ngɔn nyina",
        "ngɔn tána",
        "ngɔn samǝna",
        "ngɔn zamgbála",
        "ngɔn mwom",
        "ngɔn ebulú",
        "ngɔn awóm",
        "ngɔn awóm ai dziá",
        "ngɔn awóm ai bɛ̌"
    };
  }

  @Override
  public String[] monthsNarrow() {
    return new String[] {
        "o",
        "b",
        "l",
        "n",
        "t",
        "s",
        "z",
        "m",
        "e",
        "a",
        "d",
        "b"
    };
  }

  @Override
  public String[] monthsShort() {
    return new String[] {
        "ngo",
        "ngb",
        "ngl",
        "ngn",
        "ngt",
        "ngs",
        "ngz",
        "ngm",
        "nge",
        "nga",
        "ngad",
        "ngab"
    };
  }

  @Override
  public String[] quartersFull() {
    return new String[] {
        "nsámbá ngɔn asú",
        "nsámbá ngɔn bɛ̌",
        "nsámbá ngɔn lála",
        "nsámbá ngɔn nyina"
    };
  }

  @Override
  public String[] quartersShort() {
    return new String[] {
        "nno",
        "nnb",
        "nnl",
        "nnny"
    };
  }

  @Override
  public String[] weekdaysFull() {
    return new String[] {
        "sɔ́ndɔ",
        "mɔ́ndi",
        "sɔ́ndɔ mǝlú mǝ́bɛ̌",
        "sɔ́ndɔ mǝlú mǝ́lɛ́",
        "sɔ́ndɔ mǝlú mǝ́nyi",
        "fúladé",
        "séradé"
    };
  }

  @Override
  public String[] weekdaysNarrow() {
    return new String[] {
        "s",
        "m",
        "s",
        "s",
        "s",
        "f",
        "s"
    };
  }

  @Override
  public String[] weekdaysShort() {
    return new String[] {
        "sɔ́n",
        "mɔ́n",
        "smb",
        "sml",
        "smn",
        "fúl",
        "sér"
    };
  }
}
