/*
 * Copyright 2012 Google Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.google.gwt.i18n.shared.impl.cldr;

// DO NOT EDIT - GENERATED FROM CLDR AND ICU DATA
//  cldrVersion=21.0
//  number=$Revision: 6546 $
//  type=root
//  date=$Date: 2012-02-07 13:32:35 -0500 (Tue, 07 Feb 2012) $

/**
 * Implementation of DateTimeFormatInfo for the "ff" locale.
 */
public class DateTimeFormatInfoImpl_ff extends DateTimeFormatInfoImpl {

  @Override
  public String[] ampms() {
    return new String[] {
        "subaka",
        "kikiiɗe"
    };
  }

  @Override
  public String dateFormatFull() {
    return "EEEE d MMMM y";
  }

  @Override
  public String dateFormatLong() {
    return "d MMMM y";
  }

  @Override
  public String dateFormatMedium() {
    return "d MMM, y";
  }

  @Override
  public String dateFormatShort() {
    return "d/M/yyyy";
  }

  @Override
  public String[] erasFull() {
    return new String[] {
        "Hade Iisa",
        "Caggal Iisa"
    };
  }

  @Override
  public String[] erasShort() {
    return new String[] {
        "H-I",
        "C-I"
    };
  }

  @Override
  public String formatMinuteSecond() {
    return "m:ss";
  }

  @Override
  public String formatMonthAbbrev() {
    return "MMM";
  }

  @Override
  public String formatMonthAbbrevDay() {
    return "d MMM";
  }

  @Override
  public String formatMonthFull() {
    return "MMMM";
  }

  @Override
  public String formatMonthFullDay() {
    return "d MMMM";
  }

  @Override
  public String formatMonthFullWeekdayDay() {
    return "EEEE d MMMM";
  }

  @Override
  public String formatMonthNumDay() {
    return "d/M";
  }

  @Override
  public String formatYearMonthAbbrev() {
    return "MMM y";
  }

  @Override
  public String formatYearMonthAbbrevDay() {
    return "d MMM, y";
  }

  @Override
  public String formatYearMonthFull() {
    return "MMMM y";
  }

  @Override
  public String formatYearMonthFullDay() {
    return "d MMMM y";
  }

  @Override
  public String formatYearMonthNum() {
    return "M/y";
  }

  @Override
  public String formatYearMonthWeekdayDay() {
    return "EEE d MMM y";
  }

  @Override
  public String formatYearQuarterFull() {
    return "'T'QQQQ y";
  }

  @Override
  public String formatYearQuarterShort() {
    return "'T'Q y";
  }

  @Override
  public String[] monthsFull() {
    return new String[] {
        "siilo",
        "colte",
        "mbooy",
        "seeɗto",
        "duujal",
        "korse",
        "morso",
        "juko",
        "siilto",
        "yarkomaa",
        "jolal",
        "bowte"
    };
  }

  @Override
  public String[] monthsNarrow() {
    return new String[] {
        "s",
        "c",
        "m",
        "s",
        "d",
        "k",
        "m",
        "j",
        "s",
        "y",
        "j",
        "b"
    };
  }

  @Override
  public String[] monthsShort() {
    return new String[] {
        "sii",
        "col",
        "mbo",
        "see",
        "duu",
        "kor",
        "mor",
        "juk",
        "slt",
        "yar",
        "jol",
        "bow"
    };
  }

  @Override
  public String[] quartersFull() {
    return new String[] {
        "Termes 1",
        "Termes 2",
        "Termes 3",
        "Termes 4"
    };
  }

  @Override
  public String[] quartersShort() {
    return new String[] {
        "T1",
        "T2",
        "T3",
        "T4"
    };
  }

  @Override
  public String[] weekdaysFull() {
    return new String[] {
        "dewo",
        "aaɓnde",
        "mawbaare",
        "njeslaare",
        "naasaande",
        "mawnde",
        "hoore-biir"
    };
  }

  @Override
  public String[] weekdaysNarrow() {
    return new String[] {
        "d",
        "a",
        "m",
        "n",
        "n",
        "m",
        "h"
    };
  }

  @Override
  public String[] weekdaysShort() {
    return new String[] {
        "dew",
        "aaɓ",
        "maw",
        "nje",
        "naa",
        "mwd",
        "hbi"
    };
  }
}
