/*
 * Copyright 2012 Google Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.google.gwt.i18n.shared.impl.cldr;

// DO NOT EDIT - GENERATED FROM CLDR AND ICU DATA
//  cldrVersion=21.0
//  number=$Revision: 6546 $
//  date=$Date: 2012-02-07 13:32:35 -0500 (Tue, 07 Feb 2012) $
//  type=root

/**
 * Implementation of DateTimeFormatInfo for the "fur" locale.
 */
public class DateTimeFormatInfoImpl_fur extends DateTimeFormatInfoImpl {

  @Override
  public String[] ampms() {
    return new String[] {
        "a.",
        "p."
    };
  }

  @Override
  public String dateFormatFull() {
    return "EEEE d 'di' MMMM 'dal' y";
  }

  @Override
  public String dateFormatLong() {
    return "d 'di' MMMM 'dal' y";
  }

  @Override
  public String dateFormatMedium() {
    return "dd/MM/yyyy";
  }

  @Override
  public String dateFormatShort() {
    return "dd/MM/yy";
  }

  @Override
  public String[] erasFull() {
    return new String[] {
        "pdC",
        "ddC"
    };
  }

  @Override
  public String[] erasShort() {
    return new String[] {
        "pdC",
        "ddC"
    };
  }

  @Override
  public String formatMonthFullWeekdayDay() {
    return "EEEE, MMMM d";
  }

  @Override
  public String formatMonthNumDay() {
    return "M/d";
  }

  @Override
  public String formatYearMonthAbbrev() {
    return "MMM y";
  }

  @Override
  public String formatYearMonthAbbrevDay() {
    return "MMM d, y";
  }

  @Override
  public String formatYearMonthFull() {
    return "MMMM y";
  }

  @Override
  public String formatYearMonthFullDay() {
    return "MMMM d, y";
  }

  @Override
  public String formatYearMonthNum() {
    return "M/y";
  }

  @Override
  public String formatYearMonthNumDay() {
    return "M/d/y";
  }

  @Override
  public String formatYearMonthWeekdayDay() {
    return "EEE, MMM d, y";
  }

  @Override
  public String formatYearQuarterFull() {
    return "QQQQ y";
  }

  @Override
  public String formatYearQuarterShort() {
    return "Q y";
  }

  @Override
  public String[] monthsFull() {
    return new String[] {
        "Zenâr",
        "Fevrâr",
        "Març",
        "Avrîl",
        "Mai",
        "Jugn",
        "Lui",
        "Avost",
        "Setembar",
        "Otubar",
        "Novembar",
        "Dicembar"
    };
  }

  @Override
  public String[] monthsNarrow() {
    return new String[] {
        "Z",
        "F",
        "M",
        "A",
        "M",
        "J",
        "L",
        "A",
        "S",
        "O",
        "N",
        "D"
    };
  }

  @Override
  public String[] monthsShort() {
    return new String[] {
        "Zen",
        "Fev",
        "Mar",
        "Avr",
        "Mai",
        "Jug",
        "Lui",
        "Avo",
        "Set",
        "Otu",
        "Nov",
        "Dic"
    };
  }

  @Override
  public String[] quartersFull() {
    return new String[] {
        "Prin trimestri",
        "Secont trimestri",
        "Tierç trimestri",
        "Cuart trimestri"
    };
  }

  @Override
  public String[] quartersShort() {
    return new String[] {
        "T1",
        "T2",
        "T3",
        "T4"
    };
  }

  @Override
  public String[] weekdaysFull() {
    return new String[] {
        "domenie",
        "lunis",
        "martars",
        "miercus",
        "joibe",
        "vinars",
        "sabide"
    };
  }

  @Override
  public String[] weekdaysNarrow() {
    return new String[] {
        "D",
        "L",
        "M",
        "M",
        "J",
        "V",
        "S"
    };
  }

  @Override
  public String[] weekdaysShort() {
    return new String[] {
        "dom",
        "lun",
        "mar",
        "mie",
        "joi",
        "vin",
        "sab"
    };
  }
}
