/*
 * Copyright 2012 Google Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.google.gwt.i18n.shared.impl.cldr;

// DO NOT EDIT - GENERATED FROM CLDR AND ICU DATA
//  cldrVersion=21.0
//  number=$Revision: 6546 Google $
//  type=root
//  date=$Date: 2012-02-07 13:32:35 -0500 (Tue, 07 Feb 2012) $

/**
 * Implementation of DateTimeFormatInfo for the "gu" locale.
 */
public class DateTimeFormatInfoImpl_gu extends DateTimeFormatInfoImpl {

  @Override
  public String[] ampms() {
    return new String[] {
        "am",
        "pm"
    };
  }

  @Override
  public String dateFormatFull() {
    return "EEEE, d MMMM, y";
  }

  @Override
  public String dateFormatLong() {
    return "d MMMM, y";
  }

  @Override
  public String dateFormatMedium() {
    return "d MMM, y";
  }

  @Override
  public String dateFormatShort() {
    return "d-MM-yy";
  }

  @Override
  public String[] erasFull() {
    return new String[] {
        "ઈસવીસન પૂર્વે",
        "ઇસવીસન"
    };
  }

  @Override
  public String[] erasShort() {
    return new String[] {
        "ઈલુના જન્મ પહેસાં",
        "ઇસવીસન"
    };
  }

  @Override
  public int firstDayOfTheWeek() {
    return 0;
  }

  @Override
  public String formatHour12Minute() {
    return "hh:mm a";
  }

  @Override
  public String formatHour12MinuteSecond() {
    return "hh:mm:ss a";
  }

  @Override
  public String formatMonthAbbrevDay() {
    return "d MMM";
  }

  @Override
  public String formatMonthFullDay() {
    return "d MMMM";
  }

  @Override
  public String formatMonthFullWeekdayDay() {
    return "EEEE, d MMMM";
  }

  @Override
  public String formatMonthNumDay() {
    return "d-M";
  }

  @Override
  public String formatYearMonthAbbrev() {
    return "MMM y";
  }

  @Override
  public String formatYearMonthAbbrevDay() {
    return "d, MMM y";
  }

  @Override
  public String formatYearMonthFull() {
    return "MMMM y";
  }

  @Override
  public String formatYearMonthFullDay() {
    return "d MMMM, y";
  }

  @Override
  public String formatYearMonthNum() {
    return "M/y";
  }

  @Override
  public String formatYearMonthNumDay() {
    return "d/M/y";
  }

  @Override
  public String formatYearMonthWeekdayDay() {
    return "EEE,d,MMM y";
  }

  @Override
  public String formatYearQuarterFull() {
    return "QQQQ y";
  }

  @Override
  public String formatYearQuarterShort() {
    return "Q y";
  }

  @Override
  public String[] monthsFull() {
    return new String[] {
        "જાન્યુઆરી",
        "ફેબ્રુઆરી",
        "માર્ચ",
        "એપ્રિલ",
        "મે",
        "જૂન",
        "જુલાઈ",
        "ઑગસ્ટ",
        "સપ્ટેમ્બર",
        "ઑક્ટોબર",
        "નવેમ્બર",
        "ડિસેમ્બર"
    };
  }

  @Override
  public String[] monthsNarrow() {
    return new String[] {
        "જા",
        "ફે",
        "મા",
        "એ",
        "મે",
        "જૂ",
        "જુ",
        "ઑ",
        "સ",
        "ઑ",
        "ન",
        "ડિ"
    };
  }

  @Override
  public String[] monthsShort() {
    return new String[] {
        "જાન્યુ",
        "ફેબ્રુ",
        "માર્ચ",
        "એપ્રિલ",
        "મે",
        "જૂન",
        "જુલાઈ",
        "ઑગસ્ટ",
        "સપ્ટે",
        "ઑક્ટો",
        "નવે",
        "ડિસે"
    };
  }

  @Override
  public String[] quartersFull() {
    return new String[] {
        "પેહલા હંત 1",
        "ડૂસઋા હંત 2",
        "તીસઋા હંત 3",
        "ચૌતા હંત 4"
    };
  }

  @Override
  public String[] quartersShort() {
    return new String[] {
        "પેહલા હંત 1",
        "Q2",
        "Q3",
        "ચૌતા હંત 4"
    };
  }

  @Override
  public String timeFormatFull() {
    return "hh:mm:ss a zzzz";
  }

  @Override
  public String timeFormatLong() {
    return "hh:mm:ss a z";
  }

  @Override
  public String timeFormatMedium() {
    return "hh:mm:ss a";
  }

  @Override
  public String timeFormatShort() {
    return "hh:mm a";
  }

  @Override
  public String[] weekdaysFull() {
    return new String[] {
        "રવિવાર",
        "સોમવાર",
        "મંગળવાર",
        "બુધવાર",
        "ગુરુવાર",
        "શુક્રવાર",
        "શનિવાર"
    };
  }

  @Override
  public String[] weekdaysNarrow() {
    return new String[] {
        "ર",
        "સો",
        "મં",
        "બુ",
        "ગુ",
        "શુ",
        "શ"
    };
  }

  @Override
  public String[] weekdaysShort() {
    return new String[] {
        "રવિ",
        "સોમ",
        "મંગળ",
        "બુધ",
        "ગુરુ",
        "શુક્ર",
        "શનિ"
    };
  }

  @Override
  public int weekendStart() {
    return 0;
  }
}
