/*
 * Copyright 2012 Google Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.google.gwt.i18n.shared.impl.cldr;

// DO NOT EDIT - GENERATED FROM CLDR AND ICU DATA
//  cldrVersion=21.0
//  number=$Revision: 6546 Google $
//  date=$Date: 2012-02-07 13:32:35 -0500 (Tue, 07 Feb 2012) $
//  type=root

/**
 * Implementation of DateTimeFormatInfo for the "ka" locale.
 */
public class DateTimeFormatInfoImpl_ka extends DateTimeFormatInfoImpl {

  @Override
  public String[] ampms() {
    return new String[] {
        "დილის",
        "საღამოს"
    };
  }

  @Override
  public String dateFormatShort() {
    return "yy/MM/dd";
  }

  @Override
  public String[] erasFull() {
    return new String[] {
        "ჩვენს წელთაღრიცხვამდე",
        "ჩვენი წელთაღრიცხვით"
    };
  }

  @Override
  public String[] erasShort() {
    return new String[] {
        "ჩვენს წელთაღრიცხვამდე",
        "ჩვენი წელთაღრიცხვით"
    };
  }

  @Override
  public String formatMonthAbbrevDay() {
    return "d MMM";
  }

  @Override
  public String formatMonthFullDay() {
    return "d MMMM";
  }

  @Override
  public String formatMonthNumDay() {
    return "d.M.";
  }

  @Override
  public String formatYearMonthNum() {
    return "M.y";
  }

  @Override
  public String formatYearMonthWeekdayDay() {
    return "EEE, d MMM y";
  }

  @Override
  public String[] monthsFull() {
    return new String[] {
        "იანვარი",
        "თებერვალი",
        "მარტი",
        "აპრილი",
        "მაისი",
        "ივნისი",
        "ივლის",
        "აგვისტო",
        "სექტემბერი",
        "ოქტომბერი",
        "ნოემბერი",
        "დეკემბერი"
    };
  }

  @Override
  public String[] monthsNarrow() {
    return new String[] {
        "ი",
        "თ",
        "მ",
        "ა",
        "მ",
        "ი",
        "ი",
        "ა",
        "ს",
        "ო",
        "ნ",
        "დ"
    };
  }

  @Override
  public String[] monthsShort() {
    return new String[] {
        "იან",
        "თებ",
        "მარ",
        "აპრ",
        "მაი",
        "ივნ",
        "ივლ",
        "აგვ",
        "სექ",
        "ოქტ",
        "ნოე",
        "დეკ"
    };
  }

  @Override
  public String[] quartersFull() {
    return new String[] {
        "1-ლი კვარტალი",
        "მე-2 კვარტალი",
        "მე-3 კვარტალი",
        "მე-4 კვარტალი"
    };
  }

  @Override
  public String[] quartersShort() {
    return new String[] {
        "I კვ.",
        "II კვ.",
        "III კვ.",
        "IV კვ."
    };
  }

  @Override
  public String[] weekdaysFull() {
    return new String[] {
        "კვირა",
        "ორშაბათი",
        "სამშაბათი",
        "ოთხშაბათი",
        "ხუთშაბათი",
        "პარასკევი",
        "შაბათი"
    };
  }

  @Override
  public String[] weekdaysNarrow() {
    return new String[] {
        "კ",
        "ო",
        "ს",
        "ო",
        "ხ",
        "პ",
        "შ"
    };
  }

  @Override
  public String[] weekdaysShort() {
    return new String[] {
        "კვი",
        "ორშ",
        "სამ",
        "ოთხ",
        "ხუთ",
        "პარ",
        "შაბ"
    };
  }
}
