/*
 * Copyright 2012 Google Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.google.gwt.i18n.shared.impl.cldr;

// DO NOT EDIT - GENERATED FROM CLDR AND ICU DATA
//  cldrVersion=21.0
//  number=$Revision: 6546 $
//  date=$Date: 2012-02-07 13:32:35 -0500 (Tue, 07 Feb 2012) $
//  type=root

/**
 * Implementation of DateTimeFormatInfo for the "kea" locale.
 */
public class DateTimeFormatInfoImpl_kea extends DateTimeFormatInfoImpl {

  @Override
  public String[] ampms() {
    return new String[] {
        "am",
        "pm"
    };
  }

  @Override
  public String dateFormatFull() {
    return "EEEE, d 'di' MMMM 'di' y";
  }

  @Override
  public String dateFormatLong() {
    return "d 'di' MMMM 'di' y";
  }

  @Override
  public String dateFormatMedium() {
    return "d 'di' MMM 'di' y";
  }

  @Override
  public String dateFormatShort() {
    return "d/M/yyyy";
  }

  @Override
  public String[] erasFull() {
    return new String[] {
        "Antis di Kristu",
        "Dispos di Kristu"
    };
  }

  @Override
  public String[] erasShort() {
    return new String[] {
        "AK",
        "DK"
    };
  }

  @Override
  public String formatMonthAbbrevDay() {
    return "d MMM";
  }

  @Override
  public String formatMonthFullDay() {
    return "d 'di' MMMM";
  }

  @Override
  public String formatMonthFullWeekdayDay() {
    return "EEEE, d 'di' MMMM";
  }

  @Override
  public String formatMonthNumDay() {
    return "d/M";
  }

  @Override
  public String formatYearMonthAbbrev() {
    return "MMM 'di' y";
  }

  @Override
  public String formatYearMonthAbbrevDay() {
    return "d 'di' MMM 'di' y";
  }

  @Override
  public String formatYearMonthFull() {
    return "MMMM 'di' y";
  }

  @Override
  public String formatYearMonthFullDay() {
    return "d 'di' MMMM 'di' y";
  }

  @Override
  public String formatYearMonthNum() {
    return "MM/y";
  }

  @Override
  public String formatYearMonthWeekdayDay() {
    return "EEE, d 'di' MMM 'di' y";
  }

  @Override
  public String formatYearQuarterFull() {
    return "QQQQ y";
  }

  @Override
  public String formatYearQuarterShort() {
    return "Q y";
  }

  @Override
  public String[] monthsFull() {
    return new String[] {
        "Janeru",
        "Fevereru",
        "Marsu",
        "Abril",
        "Maiu",
        "Junhu",
        "Julhu",
        "Agostu",
        "Setenbru",
        "Otubru",
        "Nuvenbru",
        "Dizenbru"
    };
  }

  @Override
  public String[] monthsShort() {
    return new String[] {
        "Jan",
        "Fev",
        "Mar",
        "Abr",
        "Mai",
        "Jun",
        "Jul",
        "Ago",
        "Set",
        "Otu",
        "Nuv",
        "Diz"
    };
  }

  @Override
  public String[] quartersFull() {
    return new String[] {
        "Primeru Trimestri",
        "Sigundu Trimestri",
        "Terseru Trimestri",
        "Kuartu Trimestri"
    };
  }

  @Override
  public String[] quartersShort() {
    return new String[] {
        "T1",
        "T2",
        "T3",
        "T4"
    };
  }

  @Override
  public String[] weekdaysFull() {
    return new String[] {
        "dumingu",
        "sigunda-fera",
        "tersa-fera",
        "kuarta-fera",
        "kinta-fera",
        "sesta-fera",
        "sabadu"
    };
  }

  @Override
  public String[] weekdaysNarrow() {
    return new String[] {
        "d",
        "s",
        "t",
        "k",
        "k",
        "s",
        "s"
    };
  }

  @Override
  public String[] weekdaysShort() {
    return new String[] {
        "dum",
        "sig",
        "ter",
        "kua",
        "kin",
        "ses",
        "sab"
    };
  }
}
