/*
 * Copyright 2012 Google Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.google.gwt.i18n.shared.impl.cldr;

// DO NOT EDIT - GENERATED FROM CLDR AND ICU DATA
//  cldrVersion=21.0
//  number=$Revision: 6546 $
//  type=root
//  date=$Date: 2012-02-07 13:32:35 -0500 (Tue, 07 Feb 2012) $

/**
 * Implementation of DateTimeFormatInfo for the "luo" locale.
 */
public class DateTimeFormatInfoImpl_luo extends DateTimeFormatInfoImpl {

  @Override
  public String[] ampms() {
    return new String[] {
        "OD",
        "OT"
    };
  }

  @Override
  public String dateFormatFull() {
    return "EEEE, d MMMM y";
  }

  @Override
  public String dateFormatLong() {
    return "d MMMM y";
  }

  @Override
  public String dateFormatMedium() {
    return "d MMM y";
  }

  @Override
  public String dateFormatShort() {
    return "dd/MM/yyyy";
  }

  @Override
  public String[] erasFull() {
    return new String[] {
        "Kapok Kristo obiro",
        "Ka Kristo osebiro"
    };
  }

  @Override
  public int firstDayOfTheWeek() {
    return 0;
  }

  @Override
  public String formatMonthFullWeekdayDay() {
    return "EEEE, MMMM d";
  }

  @Override
  public String formatMonthNumDay() {
    return "M/d";
  }

  @Override
  public String formatYearMonthAbbrev() {
    return "MMM y";
  }

  @Override
  public String formatYearMonthFull() {
    return "MMMM y";
  }

  @Override
  public String formatYearMonthFullDay() {
    return "d MMMM y";
  }

  @Override
  public String formatYearMonthNum() {
    return "M/y";
  }

  @Override
  public String formatYearMonthWeekdayDay() {
    return "EEE, MMM d, y";
  }

  @Override
  public String formatYearQuarterFull() {
    return "QQQQ y";
  }

  @Override
  public String formatYearQuarterShort() {
    return "Q y";
  }

  @Override
  public String[] monthsFull() {
    return new String[] {
        "Dwe mar Achiel",
        "Dwe mar Ariyo",
        "Dwe mar Adek",
        "Dwe mar Ang'wen",
        "Dwe mar Abich",
        "Dwe mar Auchiel",
        "Dwe mar Abiriyo",
        "Dwe mar Aboro",
        "Dwe mar Ochiko",
        "Dwe mar Apar",
        "Dwe mar gi achiel",
        "Dwe mar Apar gi ariyo"
    };
  }

  @Override
  public String[] monthsNarrow() {
    return new String[] {
        "C",
        "R",
        "D",
        "N",
        "B",
        "U",
        "B",
        "B",
        "C",
        "P",
        "C",
        "P"
    };
  }

  @Override
  public String[] monthsShort() {
    return new String[] {
        "DAC",
        "DAR",
        "DAD",
        "DAN",
        "DAH",
        "DAU",
        "DAO",
        "DAB",
        "DOC",
        "DAP",
        "DGI",
        "DAG"
    };
  }

  @Override
  public String[] quartersFull() {
    return new String[] {
        "nus mar nus 1",
        "nus mar nus 2",
        "nus mar nus 3",
        "nus mar nus 4"
    };
  }

  @Override
  public String[] quartersShort() {
    return new String[] {
        "NMN1",
        "NMN2",
        "NMN3",
        "NMN4"
    };
  }

  @Override
  public String timeFormatFull() {
    return "h:mm:ss a zzzz";
  }

  @Override
  public String timeFormatLong() {
    return "h:mm:ss a z";
  }

  @Override
  public String timeFormatMedium() {
    return "h:mm:ss a";
  }

  @Override
  public String timeFormatShort() {
    return "h:mm a";
  }

  @Override
  public String[] weekdaysFull() {
    return new String[] {
        "Jumapil",
        "Wuok Tich",
        "Tich Ariyo",
        "Tich Adek",
        "Tich Ang'wen",
        "Tich Abich",
        "Ngeso"
    };
  }

  @Override
  public String[] weekdaysNarrow() {
    return new String[] {
        "J",
        "W",
        "T",
        "T",
        "T",
        "T",
        "N"
    };
  }

  @Override
  public String[] weekdaysShort() {
    return new String[] {
        "JMP",
        "WUT",
        "TAR",
        "TAD",
        "TAN",
        "TAB",
        "NGS"
    };
  }
}
