/*
 * Copyright 2012 Google Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.google.gwt.i18n.shared.impl.cldr;

// DO NOT EDIT - GENERATED FROM CLDR AND ICU DATA
//  cldrVersion=21.0
//  number=$Revision: 6546 Google $
//  type=lv
//  date=$Date: 2012-02-07 13:32:35 -0500 (Tue, 07 Feb 2012) $

/**
 * Implementation of DateTimeFormatInfo for the "lv" locale.
 */
public class DateTimeFormatInfoImpl_lv extends DateTimeFormatInfoImpl {

  @Override
  public String[] ampms() {
    return new String[] {
        "priekšpusdienā",
        "pēcpusdienā"
    };
  }

  @Override
  public String dateFormatFull() {
    return "EEEE, y. 'gada' d. MMMM";
  }

  @Override
  public String dateFormatLong() {
    return "y. 'gada' d. MMMM";
  }

  @Override
  public String dateFormatMedium() {
    return "y. 'gada' d. MMM";
  }

  @Override
  public String dateFormatShort() {
    return "dd.MM.yy";
  }

  @Override
  public String[] erasFull() {
    return new String[] {
        "pirms mūsu ēras",
        "mūsu ērā"
    };
  }

  @Override
  public String[] erasShort() {
    return new String[] {
        "p.m.ē.",
        "m.ē."
    };
  }

  @Override
  public String formatMonthAbbrevDay() {
    return "d. MMM";
  }

  @Override
  public String formatMonthFullDay() {
    return "d. MMMM";
  }

  @Override
  public String formatMonthFullWeekdayDay() {
    return "EEEE, d. MMMM";
  }

  @Override
  public String formatMonthNumDay() {
    return "dd.MM.";
  }

  @Override
  public String formatYear() {
    return "y. 'g'.";
  }

  @Override
  public String formatYearMonthAbbrev() {
    return "yyyy. 'g'. MMM";
  }

  @Override
  public String formatYearMonthFull() {
    return "y. 'g'. MMMM";
  }

  @Override
  public String formatYearMonthFullDay() {
    return "y. 'gada' d. MMMM";
  }

  @Override
  public String formatYearMonthNum() {
    return "MM.yyyy.";
  }

  @Override
  public String formatYearMonthWeekdayDay() {
    return "EEE, yyyy. 'g'. dd. MMM";
  }

  @Override
  public String formatYearQuarterFull() {
    return "QQQQ yyyy";
  }

  @Override
  public String formatYearQuarterShort() {
    return "Q yyyy";
  }

  @Override
  public String[] monthsFull() {
    return new String[] {
        "janvāris",
        "februāris",
        "marts",
        "aprīlis",
        "maijs",
        "jūnijs",
        "jūlijs",
        "augusts",
        "septembris",
        "oktobris",
        "novembris",
        "decembris"
    };
  }

  @Override
  public String[] monthsShort() {
    return new String[] {
        "janv.",
        "febr.",
        "marts",
        "apr.",
        "maijs",
        "jūn.",
        "jūl.",
        "aug.",
        "sept.",
        "okt.",
        "nov.",
        "dec."
    };
  }

  @Override
  public String[] quartersFull() {
    return new String[] {
        "1. ceturksnis",
        "2. ceturksnis",
        "3. ceturksnis",
        "4. ceturksnis"
    };
  }

  @Override
  public String[] quartersShort() {
    return new String[] {
        "C1",
        "C2",
        "C3",
        "C4"
    };
  }

  @Override
  public String[] weekdaysFull() {
    return new String[] {
        "svētdiena",
        "pirmdiena",
        "otrdiena",
        "trešdiena",
        "ceturtdiena",
        "piektdiena",
        "sestdiena"
    };
  }

  @Override
  public String[] weekdaysNarrow() {
    return new String[] {
        "S",
        "P",
        "O",
        "T",
        "C",
        "P",
        "S"
    };
  }

  @Override
  public String[] weekdaysShort() {
    return new String[] {
        "Sv",
        "Pr",
        "Ot",
        "Tr",
        "Ce",
        "Pk",
        "Se"
    };
  }
}
