/*
 * Copyright 2012 Google Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.google.gwt.i18n.shared.impl.cldr;

// DO NOT EDIT - GENERATED FROM CLDR AND ICU DATA
//  cldrVersion=21.0
//  number=$Revision: 6546 $
//  type=root
//  date=$Date: 2012-02-07 13:32:35 -0500 (Tue, 07 Feb 2012) $

/**
 * Implementation of DateTimeFormatInfo for the "mas" locale.
 */
public class DateTimeFormatInfoImpl_mas extends DateTimeFormatInfoImpl {

  @Override
  public String[] ampms() {
    return new String[] {
        "Ɛnkakɛnyá",
        "Ɛndámâ"
    };
  }

  @Override
  public String dateFormatFull() {
    return "EEEE, d MMMM y";
  }

  @Override
  public String dateFormatLong() {
    return "d MMMM y";
  }

  @Override
  public String dateFormatMedium() {
    return "d MMM y";
  }

  @Override
  public String dateFormatShort() {
    return "dd/MM/yyyy";
  }

  @Override
  public String[] erasFull() {
    return new String[] {
        "Meínō Yɛ́sʉ",
        "Eínō Yɛ́sʉ"
    };
  }

  @Override
  public String[] erasShort() {
    return new String[] {
        "MY",
        "EY"
    };
  }

  @Override
  public int firstDayOfTheWeek() {
    return 0;
  }

  @Override
  public String formatMonthFullWeekdayDay() {
    return "EEEE, MMMM d";
  }

  @Override
  public String formatMonthNumDay() {
    return "M/d";
  }

  @Override
  public String formatYearMonthAbbrev() {
    return "MMM y";
  }

  @Override
  public String formatYearMonthFull() {
    return "MMMM y";
  }

  @Override
  public String formatYearMonthFullDay() {
    return "d MMMM y";
  }

  @Override
  public String formatYearMonthNum() {
    return "M/y";
  }

  @Override
  public String formatYearMonthWeekdayDay() {
    return "EEE, MMM d, y";
  }

  @Override
  public String formatYearQuarterFull() {
    return "QQQQ y";
  }

  @Override
  public String formatYearQuarterShort() {
    return "Q y";
  }

  @Override
  public String[] monthsFull() {
    return new String[] {
        "Oladalʉ́",
        "Arát",
        "Ɔɛnɨ́ɔɨŋɔk",
        "Olodoyíóríê inkókúâ",
        "Oloilépūnyīē inkókúâ",
        "Kújúɔrɔk",
        "Mórusásin",
        "Ɔlɔ́ɨ́bɔ́rárɛ",
        "Kúshîn",
        "Olgísan",
        "Pʉshʉ́ka",
        "Ntʉ́ŋʉ́s"
    };
  }

  @Override
  public String[] monthsNarrow() {
    return new String[] {
        "1",
        "2",
        "3",
        "4",
        "5",
        "6",
        "7",
        "8",
        "9",
        "10",
        "11",
        "12"
    };
  }

  @Override
  public String[] monthsShort() {
    return new String[] {
        "Dal",
        "Ará",
        "Ɔɛn",
        "Doy",
        "Lép",
        "Rok",
        "Sás",
        "Bɔ́r",
        "Kús",
        "Gís",
        "Shʉ́",
        "Ntʉ́"
    };
  }

  @Override
  public String[] quartersFull() {
    return new String[] {
        "Erobo 1",
        "Erobo 2",
        "Erobo 3",
        "Erobo 4"
    };
  }

  @Override
  public String[] quartersShort() {
    return new String[] {
        "E1",
        "E2",
        "E3",
        "E4"
    };
  }

  @Override
  public String timeFormatFull() {
    return "h:mm:ss a zzzz";
  }

  @Override
  public String timeFormatLong() {
    return "h:mm:ss a z";
  }

  @Override
  public String timeFormatMedium() {
    return "h:mm:ss a";
  }

  @Override
  public String timeFormatShort() {
    return "h:mm a";
  }

  @Override
  public String[] weekdaysFull() {
    return new String[] {
        "Jumapílí",
        "Jumatátu",
        "Jumane",
        "Jumatánɔ",
        "Alaámisi",
        "Jumáa",
        "Jumamósi"
    };
  }

  @Override
  public String[] weekdaysNarrow() {
    return new String[] {
        "2",
        "3",
        "4",
        "5",
        "6",
        "7",
        "1"
    };
  }

  @Override
  public String[] weekdaysShort() {
    return new String[] {
        "Jpi",
        "Jtt",
        "Jnn",
        "Jtn",
        "Alh",
        "Iju",
        "Jmo"
    };
  }
}
