/*
 * Copyright 2012 Google Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.google.gwt.i18n.shared.impl.cldr;

// DO NOT EDIT - GENERATED FROM CLDR AND ICU DATA
//  cldrVersion=21.0
//  number=$Revision: 6546 $
//  date=$Date: 2012-02-07 13:32:35 -0500 (Tue, 07 Feb 2012) $
//  type=root

/**
 * Implementation of DateTimeFormatInfo for the "mua" locale.
 */
public class DateTimeFormatInfoImpl_mua extends DateTimeFormatInfoImpl {

  @Override
  public String[] ampms() {
    return new String[] {
        "comme",
        "lilli"
    };
  }

  @Override
  public String dateFormatFull() {
    return "EEEE d MMMM y";
  }

  @Override
  public String dateFormatLong() {
    return "d MMMM y";
  }

  @Override
  public String dateFormatMedium() {
    return "d MMM y";
  }

  @Override
  public String dateFormatShort() {
    return "d/M/yyyy";
  }

  @Override
  public String[] erasFull() {
    return new String[] {
        "KǝPel Kristu",
        "Pel Kristu"
    };
  }

  @Override
  public String[] erasShort() {
    return new String[] {
        "KK",
        "PK"
    };
  }

  @Override
  public String formatMinuteSecond() {
    return "m:ss";
  }

  @Override
  public String formatMonthAbbrevDay() {
    return "d MMM";
  }

  @Override
  public String formatMonthFullDay() {
    return "d MMMM";
  }

  @Override
  public String formatMonthFullWeekdayDay() {
    return "EEEE d MMMM";
  }

  @Override
  public String formatMonthNumDay() {
    return "d/M";
  }

  @Override
  public String formatYearMonthAbbrev() {
    return "MMM y";
  }

  @Override
  public String formatYearMonthAbbrevDay() {
    return "d MMM y";
  }

  @Override
  public String formatYearMonthFull() {
    return "MMMM y";
  }

  @Override
  public String formatYearMonthFullDay() {
    return "d MMMM y";
  }

  @Override
  public String formatYearMonthNum() {
    return "M/y";
  }

  @Override
  public String formatYearMonthNumDay() {
    return "d/M/y";
  }

  @Override
  public String formatYearMonthWeekdayDay() {
    return "EEE d MMM y";
  }

  @Override
  public String formatYearQuarterFull() {
    return "QQQQ y";
  }

  @Override
  public String formatYearQuarterShort() {
    return "Q y";
  }

  @Override
  public String[] monthsFull() {
    return new String[] {
        "Fĩi Loo",
        "Cokcwaklaŋne",
        "Cokcwaklii",
        "Fĩi Marfoo",
        "Madǝǝuutǝbijaŋ",
        "Mamǝŋgwãafahbii",
        "Mamǝŋgwãalii",
        "Madǝmbii",
        "Fĩi Dǝɓlii",
        "Fĩi Mundaŋ",
        "Fĩi Gwahlle",
        "Fĩi Yuru"
    };
  }

  @Override
  public String[] monthsNarrow() {
    return new String[] {
        "O",
        "A",
        "I",
        "F",
        "D",
        "B",
        "L",
        "M",
        "E",
        "U",
        "W",
        "Y"
    };
  }

  @Override
  public String[] monthsShort() {
    return new String[] {
        "FLO",
        "CLA",
        "CKI",
        "FMF",
        "MAD",
        "MBI",
        "MLI",
        "MAM",
        "FDE",
        "FMU",
        "FGW",
        "FYU"
    };
  }

  @Override
  public String[] quartersFull() {
    return new String[] {
        "Tai fĩi sai ma tǝn kee zah",
        "Tai fĩi sai zah lǝn gwa ma kee",
        "Tai fĩi sai zah lǝn sai ma kee",
        "Tai fĩi sai ma coo kee zah 'na"
    };
  }

  @Override
  public String[] quartersShort() {
    return new String[] {
        "F1",
        "F2",
        "F3",
        "F4"
    };
  }

  @Override
  public String[] weekdaysFull() {
    return new String[] {
        "Com'yakke",
        "Comlaaɗii",
        "Comzyiiɗii",
        "Comkolle",
        "Comkaldǝɓlii",
        "Comgaisuu",
        "Comzyeɓsuu"
    };
  }

  @Override
  public String[] weekdaysNarrow() {
    return new String[] {
        "Y",
        "L",
        "Z",
        "O",
        "A",
        "G",
        "E"
    };
  }

  @Override
  public String[] weekdaysShort() {
    return new String[] {
        "Cya",
        "Cla",
        "Czi",
        "Cko",
        "Cka",
        "Cga",
        "Cze"
    };
  }
}
