/*
 * Copyright 2012 Google Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.google.gwt.i18n.shared.impl.cldr;

// DO NOT EDIT - GENERATED FROM CLDR AND ICU DATA
//  cldrVersion=21.0
//  number=$Revision: 6546 $
//  type=root
//  date=$Date: 2012-02-07 13:32:35 -0500 (Tue, 07 Feb 2012) $

/**
 * Implementation of DateTimeFormatInfo for the "nus" locale.
 */
public class DateTimeFormatInfoImpl_nus extends DateTimeFormatInfoImpl {

  @Override
  public String[] ampms() {
    return new String[] {
        "RW",
        "TŊ"
    };
  }

  @Override
  public String dateFormatFull() {
    return "EEEE d MMMM y";
  }

  @Override
  public String dateFormatLong() {
    return "d MMMM y";
  }

  @Override
  public String dateFormatMedium() {
    return "d MMM y";
  }

  @Override
  public String dateFormatShort() {
    return "d/MM/yyyy";
  }

  @Override
  public String[] erasFull() {
    return new String[] {
        "A ka̱n Yecu ni dap",
        "Ɛ ca Yecu dap"
    };
  }

  @Override
  public String[] erasShort() {
    return new String[] {
        "AY",
        "ƐY"
    };
  }

  @Override
  public String formatMinuteSecond() {
    return "m:ss";
  }

  @Override
  public String formatMonthAbbrevDay() {
    return "d MMM";
  }

  @Override
  public String formatMonthFullDay() {
    return "d MMMM";
  }

  @Override
  public String formatMonthFullWeekdayDay() {
    return "EEEE d MMMM";
  }

  @Override
  public String formatMonthNumDay() {
    return "d/M";
  }

  @Override
  public String formatYearMonthAbbrev() {
    return "MMM y";
  }

  @Override
  public String formatYearMonthAbbrevDay() {
    return "d MMM y";
  }

  @Override
  public String formatYearMonthFull() {
    return "MMMM y";
  }

  @Override
  public String formatYearMonthFullDay() {
    return "d MMMM y";
  }

  @Override
  public String formatYearMonthNum() {
    return "M/y";
  }

  @Override
  public String formatYearMonthNumDay() {
    return "d/M/y";
  }

  @Override
  public String formatYearMonthWeekdayDay() {
    return "EEE، d MMM y";
  }

  @Override
  public String formatYearQuarterFull() {
    return "QQQQ y";
  }

  @Override
  public String formatYearQuarterShort() {
    return "Q y";
  }

  @Override
  public String[] monthsFull() {
    return new String[] {
        "Tiop thar pɛt",
        "Pɛt",
        "Duɔ̱ɔ̱ŋ",
        "Guak",
        "Duät",
        "Kornyoot",
        "Pay yie̱tni",
        "Tho̱o̱r",
        "Tɛɛr",
        "Laath",
        "Kur",
        "Tio̱p in di̱i̱t"
    };
  }

  @Override
  public String[] monthsNarrow() {
    return new String[] {
        "T",
        "P",
        "D",
        "G",
        "D",
        "K",
        "P",
        "T",
        "T",
        "L",
        "K",
        "T"
    };
  }

  @Override
  public String[] monthsShort() {
    return new String[] {
        "Tiop",
        "Pɛt",
        "Duɔ̱ɔ̱",
        "Guak",
        "Duä",
        "Kor",
        "Pay",
        "Thoo",
        "Tɛɛ",
        "Laa",
        "Kur",
        "Tid"
    };
  }

  @Override
  public String[] quartersFull() {
    return new String[] {
        "Päth diɔk tin nhiam",
        "Päth diɔk tin guurɛ",
        "Päth diɔk tin wä kɔɔriɛn",
        "Päth diɔk tin jiɔakdiɛn"
    };
  }

  @Override
  public String[] quartersShort() {
    return new String[] {
        "P1",
        "P2",
        "P3",
        "P4"
    };
  }

  @Override
  public String timeFormatFull() {
    return "zzzz h:mm:ss a";
  }

  @Override
  public String timeFormatLong() {
    return "z h:mm:ss a";
  }

  @Override
  public String timeFormatMedium() {
    return "h:mm:ss a";
  }

  @Override
  public String timeFormatShort() {
    return "h:mm a";
  }

  @Override
  public String[] weekdaysFull() {
    return new String[] {
        "Cäŋ kuɔth",
        "Jiec la̱t",
        "Rɛw lätni",
        "Diɔ̱k lätni",
        "Ŋuaan lätni",
        "Dhieec lätni",
        "Bäkɛl lätni"
    };
  }

  @Override
  public String[] weekdaysNarrow() {
    return new String[] {
        "C",
        "J",
        "R",
        "D",
        "Ŋ",
        "D",
        "B"
    };
  }

  @Override
  public String[] weekdaysShort() {
    return new String[] {
        "Cäŋ",
        "Jiec",
        "Rɛw",
        "Diɔ̱k",
        "Ŋuaan",
        "Dhieec",
        "Bäkɛl"
    };
  }
}
