/*
 * Copyright 2012 Google Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.google.gwt.i18n.shared.impl.cldr;

// DO NOT EDIT - GENERATED FROM CLDR AND ICU DATA
//  cldrVersion=21.0
//  number=$Revision: 6546 $
//  type=root
//  date=$Date: 2012-02-07 13:32:35 -0500 (Tue, 07 Feb 2012) $

/**
 * Implementation of DateTimeFormatInfo for the "ses" locale.
 */
public class DateTimeFormatInfoImpl_ses extends DateTimeFormatInfoImpl {

  @Override
  public String[] ampms() {
    return new String[] {
        "Adduha",
        "Aluula"
    };
  }

  @Override
  public String dateFormatFull() {
    return "EEEE d MMMM y";
  }

  @Override
  public String dateFormatLong() {
    return "d MMMM y";
  }

  @Override
  public String dateFormatMedium() {
    return "d MMM, y";
  }

  @Override
  public String dateFormatShort() {
    return "d/M/yyyy";
  }

  @Override
  public String[] erasFull() {
    return new String[] {
        "Isaa jine",
        "Isaa zamanoo"
    };
  }

  @Override
  public String[] erasShort() {
    return new String[] {
        "IJ",
        "IZ"
    };
  }

  @Override
  public String formatMinuteSecond() {
    return "m:ss";
  }

  @Override
  public String formatMonthAbbrev() {
    return "MMM";
  }

  @Override
  public String formatMonthAbbrevDay() {
    return "d MMM";
  }

  @Override
  public String formatMonthFull() {
    return "MMMM";
  }

  @Override
  public String formatMonthFullDay() {
    return "d MMMM";
  }

  @Override
  public String formatMonthFullWeekdayDay() {
    return "EEEE d MMMM";
  }

  @Override
  public String formatMonthNumDay() {
    return "d/M";
  }

  @Override
  public String formatYearMonthAbbrev() {
    return "MMM y";
  }

  @Override
  public String formatYearMonthAbbrevDay() {
    return "d MMM, y";
  }

  @Override
  public String formatYearMonthFull() {
    return "MMMM y";
  }

  @Override
  public String formatYearMonthFullDay() {
    return "d MMMM y";
  }

  @Override
  public String formatYearMonthNum() {
    return "M/y";
  }

  @Override
  public String formatYearMonthWeekdayDay() {
    return "EEE d MMM y";
  }

  @Override
  public String formatYearQuarterFull() {
    return "'T'QQQQ y";
  }

  @Override
  public String formatYearQuarterShort() {
    return "'T'Q y";
  }

  @Override
  public String[] monthsFull() {
    return new String[] {
        "Žanwiye",
        "Feewiriye",
        "Marsi",
        "Awiril",
        "Me",
        "Žuweŋ",
        "Žuyye",
        "Ut",
        "Sektanbur",
        "Oktoobur",
        "Noowanbur",
        "Deesanbur"
    };
  }

  @Override
  public String[] monthsNarrow() {
    return new String[] {
        "Ž",
        "F",
        "M",
        "A",
        "M",
        "Ž",
        "Ž",
        "U",
        "S",
        "O",
        "N",
        "D"
    };
  }

  @Override
  public String[] monthsShort() {
    return new String[] {
        "Žan",
        "Fee",
        "Mar",
        "Awi",
        "Me",
        "Žuw",
        "Žuy",
        "Ut",
        "Sek",
        "Okt",
        "Noo",
        "Dee"
    };
  }

  @Override
  public String[] quartersFull() {
    return new String[] {
        "Arrubu 1",
        "Arrubu 2",
        "Arrubu 3",
        "Arrubu 4"
    };
  }

  @Override
  public String[] quartersShort() {
    return new String[] {
        "A1",
        "A2",
        "A3",
        "A4"
    };
  }

  @Override
  public String[] weekdaysFull() {
    return new String[] {
        "Alhadi",
        "Atinni",
        "Atalaata",
        "Alarba",
        "Alhamiisa",
        "Alzuma",
        "Asibti"
    };
  }

  @Override
  public String[] weekdaysNarrow() {
    return new String[] {
        "H",
        "T",
        "T",
        "L",
        "L",
        "L",
        "S"
    };
  }

  @Override
  public String[] weekdaysShort() {
    return new String[] {
        "Alh",
        "Ati",
        "Ata",
        "Ala",
        "Alm",
        "Alz",
        "Asi"
    };
  }
}
