/*
 * Copyright 2012 Google Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.google.gwt.i18n.shared.impl.cldr;

// DO NOT EDIT - GENERATED FROM CLDR AND ICU DATA
//  cldrVersion=21.0
//  number=$Revision: 6546 $
//  type=root
//  date=$Date: 2012-02-07 13:32:35 -0500 (Tue, 07 Feb 2012) $

/**
 * Implementation of DateTimeFormatInfo for the "shi" locale.
 */
public class DateTimeFormatInfoImpl_shi extends DateTimeFormatInfoImpl {

  @Override
  public String[] ampms() {
    return new String[] {
        "tifawt",
        "tadggʷat"
    };
  }

  @Override
  public String dateFormatFull() {
    return "EEEE d MMMM y";
  }

  @Override
  public String dateFormatLong() {
    return "d MMMM y";
  }

  @Override
  public String dateFormatMedium() {
    return "d MMM, y";
  }

  @Override
  public String dateFormatShort() {
    return "d/M/yyyy";
  }

  @Override
  public String[] erasFull() {
    return new String[] {
        "dat n ɛisa",
        "dffir n ɛisa"
    };
  }

  @Override
  public String[] erasShort() {
    return new String[] {
        "daɛ",
        "dfɛ"
    };
  }

  @Override
  public String formatMinuteSecond() {
    return "m:ss";
  }

  @Override
  public String formatMonthAbbrev() {
    return "MMM";
  }

  @Override
  public String formatMonthAbbrevDay() {
    return "d MMM";
  }

  @Override
  public String formatMonthFull() {
    return "MMMM";
  }

  @Override
  public String formatMonthFullDay() {
    return "d MMMM";
  }

  @Override
  public String formatMonthFullWeekdayDay() {
    return "EEEE d MMMM";
  }

  @Override
  public String formatMonthNumDay() {
    return "d/M";
  }

  @Override
  public String formatYearMonthAbbrev() {
    return "MMM y";
  }

  @Override
  public String formatYearMonthFull() {
    return "MMMM y";
  }

  @Override
  public String formatYearMonthFullDay() {
    return "d MMMM y";
  }

  @Override
  public String formatYearMonthNum() {
    return "M/y";
  }

  @Override
  public String formatYearMonthWeekdayDay() {
    return "EEE d MMM y";
  }

  @Override
  public String formatYearQuarterFull() {
    return "'ak'QQQQ y";
  }

  @Override
  public String formatYearQuarterShort() {
    return "'ak'Q y";
  }

  @Override
  public String[] monthsFull() {
    return new String[] {
        "innayr",
        "bṛayṛ",
        "maṛṣ",
        "ibrir",
        "mayyu",
        "yunyu",
        "yulyuz",
        "ɣuct",
        "cutanbir",
        "ktubr",
        "nuwanbir",
        "dujanbir"
    };
  }

  @Override
  public String[] monthsNarrow() {
    return new String[] {
        "i",
        "b",
        "m",
        "i",
        "m",
        "y",
        "y",
        "ɣ",
        "c",
        "k",
        "n",
        "d"
    };
  }

  @Override
  public String[] monthsShort() {
    return new String[] {
        "inn",
        "bṛa",
        "maṛ",
        "ibr",
        "may",
        "yun",
        "yul",
        "ɣuc",
        "cut",
        "ktu",
        "nuw",
        "duj"
    };
  }

  @Override
  public String[] quartersFull() {
    return new String[] {
        "akṛaḍyur 1",
        "akṛaḍyur 2",
        "akṛaḍyur 3",
        "akṛaḍyur 4"
    };
  }

  @Override
  public String[] quartersShort() {
    return new String[] {
        "ak 1",
        "ak 2",
        "ak 3",
        "ak 4"
    };
  }

  @Override
  public String[] weekdaysFull() {
    return new String[] {
        "asamas",
        "aynas",
        "asinas",
        "akṛas",
        "akwas",
        "asimwas",
        "asiḍyas"
    };
  }

  @Override
  public String[] weekdaysNarrow() {
    return new String[] {
        "1",
        "2",
        "3",
        "4",
        "5",
        "6",
        "7"
    };
  }

  @Override
  public String[] weekdaysShort() {
    return new String[] {
        "asa",
        "ayn",
        "asi",
        "akṛ",
        "akw",
        "asim",
        "asiḍ"
    };
  }
}
