/*
 * Copyright 2012 Google Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.google.gwt.i18n.shared.impl.cldr;

// DO NOT EDIT - GENERATED FROM CLDR AND ICU DATA
//  cldrVersion=21.0
//  number=$Revision: 6546 $
//  date=$Date: 2012-02-07 13:32:35 -0500 (Tue, 07 Feb 2012) $
//  type=root

/**
 * Implementation of DateTimeFormatInfo for the "ssy" locale.
 */
public class DateTimeFormatInfoImpl_ssy extends DateTimeFormatInfoImpl {

  @Override
  public String[] ampms() {
    return new String[] {
        "saaku",
        "carra"
    };
  }

  @Override
  public String dateFormatFull() {
    return "EEEE, MMMM dd, y";
  }

  @Override
  public String dateFormatLong() {
    return "dd MMMM y";
  }

  @Override
  public String dateFormatMedium() {
    return "dd-MMM-y";
  }

  @Override
  public String dateFormatShort() {
    return "dd/MM/yy";
  }

  @Override
  public String[] erasFull() {
    return new String[] {
        "Yaasuusuk Duma",
        "Yaasuusuk Wadir"
    };
  }

  @Override
  public String[] erasShort() {
    return new String[] {
        "Yaasuusuk Duma",
        "Yaasuusuk Wadir"
    };
  }

  @Override
  public String formatMonthFullWeekdayDay() {
    return "EEEE, MMMM d";
  }

  @Override
  public String formatMonthNumDay() {
    return "M/d";
  }

  @Override
  public String formatYearMonthAbbrev() {
    return "MMM y";
  }

  @Override
  public String formatYearMonthAbbrevDay() {
    return "MMM d, y";
  }

  @Override
  public String formatYearMonthFull() {
    return "MMMM y";
  }

  @Override
  public String formatYearMonthFullDay() {
    return "MMMM d, y";
  }

  @Override
  public String formatYearMonthNum() {
    return "M/y";
  }

  @Override
  public String formatYearMonthNumDay() {
    return "M/d/y";
  }

  @Override
  public String formatYearMonthWeekdayDay() {
    return "EEE, MMM d, y";
  }

  @Override
  public String formatYearQuarterFull() {
    return "QQQQ y";
  }

  @Override
  public String formatYearQuarterShort() {
    return "Q y";
  }

  @Override
  public String[] monthsFull() {
    return new String[] {
        "Qunxa Garablu",
        "Kudo",
        "Ciggilta Kudo",
        "Agda Baxis",
        "Caxah Alsa",
        "Qasa Dirri",
        "Qado Dirri",
        "Liiqen",
        "Waysu",
        "Diteli",
        "Ximoli",
        "Kaxxa Garablu"
    };
  }

  @Override
  public String[] monthsNarrow() {
    return new String[] {
        "Q",
        "N",
        "C",
        "A",
        "C",
        "Q",
        "Q",
        "L",
        "W",
        "D",
        "X",
        "K"
    };
  }

  @Override
  public String[] monthsShort() {
    return new String[] {
        "Qun",
        "Nah",
        "Cig",
        "Agd",
        "Cax",
        "Qas",
        "Qad",
        "Leq",
        "Way",
        "Dit",
        "Xim",
        "Kax"
    };
  }

  @Override
  public String[] quartersFull() {
    return new String[] {
        "Q1",
        "Q2",
        "Q3",
        "Q4"
    };
  }

  @Override
  public String timeFormatFull() {
    return "h:mm:ss a zzzz";
  }

  @Override
  public String timeFormatLong() {
    return "h:mm:ss a z";
  }

  @Override
  public String timeFormatMedium() {
    return "h:mm:ss a";
  }

  @Override
  public String timeFormatShort() {
    return "h:mm a";
  }

  @Override
  public String[] weekdaysFull() {
    return new String[] {
        "Naba Sambat",
        "Sani",
        "Salus",
        "Rabuq",
        "Camus",
        "Jumqata",
        "Qunxa Sambat"
    };
  }

  @Override
  public String[] weekdaysNarrow() {
    return new String[] {
        "N",
        "S",
        "S",
        "R",
        "C",
        "J",
        "Q"
    };
  }

  @Override
  public String[] weekdaysShort() {
    return new String[] {
        "Nab",
        "San",
        "Sal",
        "Rab",
        "Cam",
        "Jum",
        "Qun"
    };
  }
}
