/*
 * Copyright 2012 Google Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.google.gwt.i18n.shared.impl.cldr;

// DO NOT EDIT - GENERATED FROM CLDR AND ICU DATA
//  cldrVersion=21.0
//  number=$Revision: 6546 Google $
//  date=$Date: 2012-02-07 13:32:35 -0500 (Tue, 07 Feb 2012) $
//  type=root

/**
 * Implementation of DateTimeFormatInfo for the "to" locale.
 */
public class DateTimeFormatInfoImpl_to extends DateTimeFormatInfoImpl {

  @Override
  public String dateFormatFull() {
    return "EEEE d MMMM y";
  }

  @Override
  public String dateFormatLong() {
    return "d MMMM y";
  }

  @Override
  public String dateFormatMedium() {
    return "d MMM y";
  }

  @Override
  public String dateFormatShort() {
    return "d/M/yy";
  }

  @Override
  public String[] erasFull() {
    return new String[] {
        "ki muʻa",
        "taʻu ʻo Sīsū"
    };
  }

  @Override
  public String[] erasShort() {
    return new String[] {
        "KM",
        "TS"
    };
  }

  @Override
  public String formatMonthAbbrevDay() {
    return "d MMM";
  }

  @Override
  public String formatMonthFullDay() {
    return "d MMMM";
  }

  @Override
  public String formatMonthFullWeekdayDay() {
    return "EEEE d MMMM";
  }

  @Override
  public String formatMonthNumDay() {
    return "d/M";
  }

  @Override
  public String formatYearMonthAbbrev() {
    return "MMM y";
  }

  @Override
  public String formatYearMonthFull() {
    return "MMMM y";
  }

  @Override
  public String formatYearMonthFullDay() {
    return "d MMMM y";
  }

  @Override
  public String formatYearMonthNum() {
    return "M-yyyy";
  }

  @Override
  public String formatYearMonthWeekdayDay() {
    return "EEE d MMM y";
  }

  @Override
  public String formatYearQuarterFull() {
    return "yyyy QQQQ";
  }

  @Override
  public String formatYearQuarterShort() {
    return "yyyy Q";
  }

  @Override
  public String[] monthsFull() {
    return new String[] {
        "Sānuali",
        "Fēpueli",
        "Maʻasi",
        "ʻEpeleli",
        "Mē",
        "Sune",
        "Siulai",
        "ʻAokosi",
        "Sepitema",
        "ʻOkatopa",
        "Nōvema",
        "Tīsema"
    };
  }

  @Override
  public String[] monthsFullStandalone() {
    return new String[] {
        "Sānuali",
        "Fēpueli",
        "Maʻasi",
        "ʻEpeleli",
        "Mē",
        "Sune",
        "Siulai",
        "ʻAokosi",
        "Sēpitema",
        "ʻOkatopa",
        "Nōvema",
        "Tīsema"
    };
  }

  @Override
  public String[] monthsNarrow() {
    return new String[] {
        "S",
        "F",
        "M",
        "E",
        "M",
        "S",
        "S",
        "A",
        "S",
        "O",
        "N",
        "T"
    };
  }

  @Override
  public String[] monthsShort() {
    return new String[] {
        "Sān",
        "Fēp",
        "Maʻa",
        "ʻEpe",
        "Mē",
        "Sun",
        "Siu",
        "ʻAok",
        "Sep",
        "ʻOka",
        "Nōv",
        "Tīs"
    };
  }

  @Override
  public String[] monthsShortStandalone() {
    return new String[] {
        "Sān",
        "Fēp",
        "Maʻa",
        "ʻEpe",
        "Mē",
        "Sun",
        "Siu",
        "ʻAok",
        "Sēp",
        "ʻOka",
        "Nōv",
        "Tīs"
    };
  }

  @Override
  public String[] quartersFull() {
    return new String[] {
        "kuata ʻuluaki",
        "kuata ua",
        "kuata tolu",
        "kuata fā"
    };
  }

  @Override
  public String[] quartersShort() {
    return new String[] {
        "K1",
        "K2",
        "K3",
        "K4"
    };
  }

  @Override
  public String[] weekdaysFull() {
    return new String[] {
        "Sāpate",
        "Mōnite",
        "Tūsite",
        "Pulelulu",
        "Tuʻapulelulu",
        "Falaite",
        "Tokonaki"
    };
  }

  @Override
  public String[] weekdaysNarrow() {
    return new String[] {
        "S",
        "M",
        "T",
        "P",
        "T",
        "F",
        "T"
    };
  }

  @Override
  public String[] weekdaysShort() {
    return new String[] {
        "Sāp",
        "Mōn",
        "Tūs",
        "Pul",
        "Tuʻa",
        "Fal",
        "Tok"
    };
  }
}
