/*
 * Copyright 2012 Google Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.google.gwt.i18n.shared.impl.cldr;

// DO NOT EDIT - GENERATED FROM CLDR AND ICU DATA
//  cldrVersion=21.0
//  number=$Revision: 6546 $
//  type=root
//  date=$Date: 2012-02-07 13:32:35 -0500 (Tue, 07 Feb 2012) $

/**
 * Implementation of DateTimeFormatInfo for the "vai" locale.
 */
public class DateTimeFormatInfoImpl_vai extends DateTimeFormatInfoImpl {

  @Override
  public String dateFormatFull() {
    return "EEEE, d MMMM y";
  }

  @Override
  public String dateFormatLong() {
    return "d MMMM y";
  }

  @Override
  public String dateFormatMedium() {
    return "d MMM y";
  }

  @Override
  public String dateFormatShort() {
    return "dd/MM/yyyy";
  }

  @Override
  public String[] erasFull() {
    return new String[] {
        "BCE",
        "CE"
    };
  }

  @Override
  public String[] erasShort() {
    return new String[] {
        "BCE",
        "CE"
    };
  }

  @Override
  public String formatMonthFullWeekdayDay() {
    return "EEEE, MMMM d";
  }

  @Override
  public String formatMonthNumDay() {
    return "M/d";
  }

  @Override
  public String formatYear() {
    return "yyyy";
  }

  @Override
  public String formatYearMonthAbbrev() {
    return "MMM yyyy";
  }

  @Override
  public String formatYearMonthFull() {
    return "MMMM yyyy";
  }

  @Override
  public String formatYearMonthFullDay() {
    return "d MMMM y";
  }

  @Override
  public String formatYearMonthNum() {
    return "M/yyyy";
  }

  @Override
  public String formatYearMonthWeekdayDay() {
    return "EEE, MMM d, yyyy";
  }

  @Override
  public String formatYearQuarterFull() {
    return "QQQQ yyyy";
  }

  @Override
  public String formatYearQuarterShort() {
    return "Q yyyy";
  }

  @Override
  public String[] monthsFull() {
    return new String[] {
        "ꖨꕪꖃ ꔞꕮ",
        "ꕒꕡꖝꖕ",
        "ꕾꖺ",
        "ꖢꖕ",
        "ꖑꕱ",
        "6",
        "7",
        "ꗛꔕ",
        "ꕢꕌ",
        "ꕭꖃ",
        "ꔞꘋꕔꕿ ꕸꖃꗏ",
        "ꖨꕪꕱ ꗏꕮ"
    };
  }

  @Override
  public String[] monthsNarrow() {
    return new String[] {
        "1",
        "2",
        "3",
        "4",
        "5",
        "6",
        "7",
        "8",
        "9",
        "10",
        "11",
        "12"
    };
  }

  @Override
  public String[] monthsShort() {
    return new String[] {
        "ꖨꕪꖃ ꔞꕮ",
        "ꕒꕡꖝꖕ",
        "ꕾꖺ",
        "ꖢꖕ",
        "ꖑꕱ",
        "6",
        "7",
        "ꗛꔕ",
        "ꕢꕌ",
        "ꕭꖃ",
        "ꔞꘋꕔꕿ ꕸꖃꗏ",
        "ꖨꕪꕱ ꗏꕮ"
    };
  }

  @Override
  public String[] quartersFull() {
    return new String[] {
        "Q1",
        "Q2",
        "Q3",
        "Q4"
    };
  }

  @Override
  public String timeFormatFull() {
    return "h:mm:ss a zzzz";
  }

  @Override
  public String timeFormatLong() {
    return "h:mm:ss a z";
  }

  @Override
  public String timeFormatMedium() {
    return "h:mm:ss a";
  }

  @Override
  public String timeFormatShort() {
    return "h:mm a";
  }

  @Override
  public String[] weekdaysFull() {
    return new String[] {
        "ꕞꕌꔵ",
        "ꗳꗡꘉ",
        "ꕚꕞꕚ",
        "ꕉꕞꕒ",
        "ꕉꔤꕆꕢ",
        "ꕉꔤꕀꕮ",
        "ꔻꔬꔳ"
    };
  }

  @Override
  public String[] weekdaysNarrow() {
    return new String[] {
        "1",
        "2",
        "3",
        "4",
        "5",
        "6",
        "7"
    };
  }

  @Override
  public String[] weekdaysShort() {
    return new String[] {
        "ꕞꕌꔵ",
        "ꗳꗡꘉ",
        "ꕚꕞꕚ",
        "ꕉꕞꕒ",
        "ꕉꔤꕆꕢ",
        "ꕉꔤꕀꕮ",
        "ꔻꔬꔳ"
    };
  }
}
