/*
 * Copyright 2012 Google Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.google.gwt.i18n.shared.impl.cldr;

// DO NOT EDIT - GENERATED FROM CLDR AND ICU DATA
//  cldrVersion=21.0
//  number=$Revision: 6546 $
//  type=root
//  date=$Date: 2012-02-07 13:32:35 -0500 (Tue, 07 Feb 2012) $

/**
 * Implementation of DateTimeFormatInfo for the "wae" locale.
 */
public class DateTimeFormatInfoImpl_wae extends DateTimeFormatInfoImpl {

  @Override
  public String dateFormatFull() {
    return "EEEE, d. MMMM y";
  }

  @Override
  public String dateFormatLong() {
    return "d. MMMM y";
  }

  @Override
  public String dateFormatMedium() {
    return "d. MMM y";
  }

  @Override
  public String[] erasFull() {
    return new String[] {
        "v. Chr.",
        "n. Chr"
    };
  }

  @Override
  public String[] erasShort() {
    return new String[] {
        "v. Chr.",
        "n. Chr"
    };
  }

  @Override
  public String formatMonthFullWeekdayDay() {
    return "EEEE, MMMM d";
  }

  @Override
  public String formatMonthNumDay() {
    return "M/d";
  }

  @Override
  public String formatYearMonthAbbrev() {
    return "MMM y";
  }

  @Override
  public String formatYearMonthAbbrevDay() {
    return "MMM d, y";
  }

  @Override
  public String formatYearMonthFull() {
    return "MMMM y";
  }

  @Override
  public String formatYearMonthFullDay() {
    return "MMMM d, y";
  }

  @Override
  public String formatYearMonthNum() {
    return "M/y";
  }

  @Override
  public String formatYearMonthNumDay() {
    return "M/d/y";
  }

  @Override
  public String formatYearMonthWeekdayDay() {
    return "EEE, MMM d, y";
  }

  @Override
  public String formatYearQuarterFull() {
    return "QQQQ y";
  }

  @Override
  public String formatYearQuarterShort() {
    return "Q y";
  }

  @Override
  public String[] monthsFull() {
    return new String[] {
        "Jenner",
        "Hornig",
        "Märze",
        "Abrille",
        "Meije",
        "Bráčet",
        "Heiwet",
        "Öigšte",
        "Herbštmánet",
        "Wímánet",
        "Wintermánet",
        "Chrištmánet"
    };
  }

  @Override
  public String[] monthsNarrow() {
    return new String[] {
        "J",
        "H",
        "M",
        "A",
        "M",
        "B",
        "H",
        "Ö",
        "H",
        "W",
        "W",
        "C"
    };
  }

  @Override
  public String[] monthsShort() {
    return new String[] {
        "Jen",
        "Hor",
        "Mär",
        "Abr",
        "Mei",
        "Brá",
        "Hei",
        "Öig",
        "Her",
        "Wím",
        "Win",
        "Chr"
    };
  }

  @Override
  public String[] quartersFull() {
    return new String[] {
        "1. quartal",
        "2. quartal",
        "3. quartal",
        "4. quartal"
    };
  }

  @Override
  public String[] weekdaysFull() {
    return new String[] {
        "Sunntag",
        "Mäntag",
        "Zištag",
        "Mittwuč",
        "Fróntag",
        "Fritag",
        "Samštag"
    };
  }

  @Override
  public String[] weekdaysNarrow() {
    return new String[] {
        "S",
        "M",
        "Z",
        "M",
        "F",
        "F",
        "S"
    };
  }

  @Override
  public String[] weekdaysShort() {
    return new String[] {
        "Sun",
        "Män",
        "Ziš",
        "Mit",
        "Fró",
        "Fri",
        "Sam"
    };
  }
}
