/*
 * Copyright 2012 Google Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.google.gwt.i18n.shared.impl.cldr;

// DO NOT EDIT - GENERATED FROM CLDR AND ICU DATA
//  cldrVersion=21.0
//  number=$Revision: 6546 $
//  date=$Date: 2012-02-07 13:32:35 -0500 (Tue, 07 Feb 2012) $
//  type=root

/**
 * Implementation of DateTimeFormatInfo for the "yav" locale.
 */
public class DateTimeFormatInfoImpl_yav extends DateTimeFormatInfoImpl {

  @Override
  public String[] ampms() {
    return new String[] {
        "kiɛmɛ́ɛm",
        "kisɛ́ndɛ"
    };
  }

  @Override
  public String dateFormatFull() {
    return "EEEE d MMMM y";
  }

  @Override
  public String dateFormatLong() {
    return "d MMMM y";
  }

  @Override
  public String dateFormatMedium() {
    return "d MMM y";
  }

  @Override
  public String dateFormatShort() {
    return "d/M/yyyy";
  }

  @Override
  public String[] erasFull() {
    return new String[] {
        "katikupíen Yésuse",
        "ékélémkúnupíén n"
    };
  }

  @Override
  public String[] erasShort() {
    return new String[] {
        "-J.C.",
        "+J.C."
    };
  }

  @Override
  public String formatMinuteSecond() {
    return "m:ss";
  }

  @Override
  public String formatMonthAbbrevDay() {
    return "d MMM";
  }

  @Override
  public String formatMonthFullDay() {
    return "d MMMM";
  }

  @Override
  public String formatMonthFullWeekdayDay() {
    return "EEEE d MMMM";
  }

  @Override
  public String formatMonthNumDay() {
    return "d/M";
  }

  @Override
  public String formatYearMonthAbbrev() {
    return "MMM y";
  }

  @Override
  public String formatYearMonthAbbrevDay() {
    return "d MMM y";
  }

  @Override
  public String formatYearMonthFull() {
    return "MMMM y";
  }

  @Override
  public String formatYearMonthFullDay() {
    return "d MMMM y";
  }

  @Override
  public String formatYearMonthNum() {
    return "M/y";
  }

  @Override
  public String formatYearMonthNumDay() {
    return "d/M/y";
  }

  @Override
  public String formatYearMonthWeekdayDay() {
    return "EEE d MMM y";
  }

  @Override
  public String formatYearQuarterFull() {
    return "QQQQ y";
  }

  @Override
  public String formatYearQuarterShort() {
    return "Q y";
  }

  @Override
  public String[] monthsFull() {
    return new String[] {
        "pikítíkítie, oólí ú kutúan",
        "siɛyɛ́, oóli ú kándíɛ",
        "ɔnsúmbɔl, oóli ú kátátúɛ",
        "mesiŋ, oóli ú kénie",
        "ensil, oóli ú kátánuɛ",
        "ɔsɔn",
        "efute",
        "pisuyú",
        "imɛŋ i puɔs",
        "imɛŋ i putúk,oóli ú kátíɛ",
        "makandikɛ",
        "pilɔndɔ́"
    };
  }

  @Override
  public String[] monthsNarrow() {
    return new String[] {
        "1",
        "2",
        "3",
        "4",
        "5",
        "6",
        "7",
        "8",
        "9",
        "10",
        "11",
        "12"
    };
  }

  @Override
  public String[] monthsShort() {
    return new String[] {
        "o.1",
        "o.2",
        "o.3",
        "o.4",
        "o.5",
        "o.6",
        "o.7",
        "o.8",
        "o.9",
        "o.10",
        "o.11",
        "o.12"
    };
  }

  @Override
  public String[] quartersFull() {
    return new String[] {
        "ndátúɛ 1",
        "ndátúɛ 2",
        "ndátúɛ 3",
        "ndátúɛ 4"
    };
  }

  @Override
  public String[] weekdaysFull() {
    return new String[] {
        "sɔ́ndiɛ",
        "móndie",
        "muányáŋmóndie",
        "metúkpíápɛ",
        "kúpélimetúkpiapɛ",
        "feléte",
        "séselé"
    };
  }

  @Override
  public String[] weekdaysNarrow() {
    return new String[] {
        "s",
        "m",
        "m",
        "e",
        "k",
        "f",
        "s"
    };
  }

  @Override
  public String[] weekdaysShort() {
    return new String[] {
        "sd",
        "md",
        "mw",
        "et",
        "kl",
        "fl",
        "ss"
    };
  }
}
