/*
 * Copyright 2012 Google Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.google.gwt.i18n.shared.impl.cldr;

// DO NOT EDIT - GENERATED FROM CLDR AND ICU DATA
//  cldrVersion=21.0
//  number=$Revision: 6546 $
//  type=root
//  date=$Date: 2012-02-07 13:32:35 -0500 (Tue, 07 Feb 2012) $

/**
 * Implementation of DateTimeFormatInfo for the "yo" locale.
 */
public class DateTimeFormatInfoImpl_yo extends DateTimeFormatInfoImpl {

  @Override
  public String[] ampms() {
    return new String[] {
        "Àárọ̀",
        "Ọ̀sán"
    };
  }

  @Override
  public String dateFormatFull() {
    return "EEEE, d MMMM y";
  }

  @Override
  public String dateFormatLong() {
    return "d MMMM y";
  }

  @Override
  public String dateFormatMedium() {
    return "d MMM y";
  }

  @Override
  public String dateFormatShort() {
    return "dd/MM/yyyy";
  }

  @Override
  public String[] erasFull() {
    return new String[] {
        "Saju Kristi",
        "Lehin Kristi"
    };
  }

  @Override
  public String[] erasShort() {
    return new String[] {
        "SK",
        "LK"
    };
  }

  @Override
  public String formatMonthFullWeekdayDay() {
    return "EEEE, MMMM d";
  }

  @Override
  public String formatMonthNumDay() {
    return "M/d";
  }

  @Override
  public String formatYearMonthAbbrev() {
    return "MMM y";
  }

  @Override
  public String formatYearMonthFull() {
    return "MMMM y";
  }

  @Override
  public String formatYearMonthFullDay() {
    return "d MMMM y";
  }

  @Override
  public String formatYearMonthNum() {
    return "M/y";
  }

  @Override
  public String formatYearMonthWeekdayDay() {
    return "EEE, MMM d, y";
  }

  @Override
  public String formatYearQuarterFull() {
    return "QQQQ y";
  }

  @Override
  public String formatYearQuarterShort() {
    return "Q y";
  }

  @Override
  public String[] monthsFull() {
    return new String[] {
        "Oṣù Ṣẹ́rẹ́",
        "Oṣù Èrèlè",
        "Oṣù Ẹrẹ̀nà",
        "Oṣù Ìgbé",
        "Oṣù Ẹ̀bibi",
        "Oṣù Òkúdu",
        "Oṣù Agẹmọ",
        "Oṣù Ògún",
        "Oṣù Owewe",
        "Oṣù Ọ̀wàrà",
        "Oṣù Bélú",
        "Oṣù Ọ̀pẹ̀"
    };
  }

  @Override
  public String[] monthsNarrow() {
    return new String[] {
        "1",
        "2",
        "3",
        "4",
        "5",
        "6",
        "7",
        "8",
        "9",
        "10",
        "11",
        "12"
    };
  }

  @Override
  public String[] monthsShort() {
    return new String[] {
        "Ṣẹ́rẹ́",
        "Èrèlè",
        "Ẹrẹ̀nà",
        "Ìgbé",
        "Ẹ̀bibi",
        "Òkúdu",
        "Agẹmọ",
        "Ògún",
        "Owewe",
        "Ọ̀wàrà",
        "Bélú",
        "Ọ̀pẹ̀"
    };
  }

  @Override
  public String[] quartersFull() {
    return new String[] {
        "Kọ́tà Kínní",
        "Kọ́tà Kejì",
        "Kọ́à Keta",
        "Kọ́tà Kẹrin"
    };
  }

  @Override
  public String[] quartersShort() {
    return new String[] {
        "K1",
        "K2",
        "K3",
        "K4"
    };
  }

  @Override
  public String timeFormatFull() {
    return "h:mm:ss a zzzz";
  }

  @Override
  public String timeFormatLong() {
    return "h:mm:ss a z";
  }

  @Override
  public String timeFormatMedium() {
    return "h:mm:ss a";
  }

  @Override
  public String timeFormatShort() {
    return "h:mm a";
  }

  @Override
  public String[] weekdaysFull() {
    return new String[] {
        "Ọjọ́ Àìkú",
        "Ọjọ́ Ajé",
        "Ọjọ́ Ìsẹ́gun",
        "Ọjọ́rú",
        "Ọjọ́bọ",
        "Ọjọ́ Ẹtì",
        "Ọjọ́ Àbámẹ́ta"
    };
  }

  @Override
  public String[] weekdaysNarrow() {
    return new String[] {
        "1",
        "2",
        "3",
        "4",
        "5",
        "6",
        "7"
    };
  }

  @Override
  public String[] weekdaysShort() {
    return new String[] {
        "Àìkú",
        "Ajé",
        "Ìsẹ́gun",
        "Ọjọ́rú",
        "Ọjọ́bọ",
        "Ẹtì",
        "Àbámẹ́ta"
    };
  }
}
